<?php

namespace AdminModule\Forms;

use Nette\Application\UI;
use Nette\Forms\Form;
use Nette\Image;
use Nette\ComponentModel\IContainer;

class ArealForm extends UI\Form {

    public function __construct(IContainer $parent = NULL, $name = NULL) {
	parent::__construct($parent, $name);
        
        $this->addText('nazev','Název areálu')
                ->addRule(Form::FILLED, 'Musí být zadán název');
        
        $this->addText('email','E-mail')
                ->addRule(Form::EMAIL, 'Emailová adresa je v chybném tvaru');
        
        $this->addText('telefon','Telefon');
        
        $this->addTextArea('html', 'Popis')
                ->setAttribute('class','tinyMce');
        
        $this->addTextArea('hlaska', 'Vyskakovací okno');
        
        // galerie
        $galerie = array(0 => 'Vyberte galerii...', "Fotogalerie" => \GaleriesModel::getInstance()->selectAllForm());
        $this->addSelect('id_galery', 'Připojit galerii', $galerie);
        
        $this->addUpload('pozadi','Pozadí stránky')
                ->addRule(Form::MAX_FILE_SIZE, 'Maximální velikost obrázku je 2 MB', 2000*1024);
        
        
        $this->addText('rezervace_dnu','Rezervace do budoucna max (dnů)');
        
        $this->addText('ulice','Ulice');
        $this->addText('psc','PSČ');
        $this->addText('mesto','Město');
        $this->addText('kamera','Kamera');
        $this->addText('poradi','Pořadí');
        
        $this->addHidden('id_areal');
        
	$this->addSubmit('send', 'Uložit')
                ->setAttribute('class','btn btn-success');
	$this->onSuccess[] = array($this, 'formSubmited');
    }

    public function formSubmited($form) {
        
        $data = $form->getValues();
        $user = \UserModel::getInstance()->user($this->getPresenter()->getUser()->getId());
        
        if($data['id_areal']==0) {
         
        // NOVÝ AREÁL  
            
            $zdroj = array(
                'id_galery' => $data['id_galery'],
                'nazev'     => $data['nazev'],
                'email'     => $data['email'],
                'telefon'   => $data['telefon'],
                'html'      => $data['html'],
                'oteviraci_doba' => $data['oteviraci_doba'],
                'cenik'     => $data['cenik'],
                'ulice'     => $data['ulice'],
                'psc'       => $data['psc'],
                'mesto'     => $data['mesto'],
                'rozvrh'    => $data['rozvrh'],
                'kamera'    => $data['kamera'],
                'rezervace_dnu'    => $data['rezervace_dnu'],
                'poradi'    => $data['poradi']
            );
            
            $id_areal = \ArealyModel::getInstance()->arealAdd($zdroj);
            $this->getPresenter()->flashMessage('Areál byl úspěšně přidán','success');
            $this->getPresenter()->redirect('Admin:areal',$data['id_areal']);
            
             
             // přidání pozadí
            if($data['pozadi']!='') {
                $obrazek = Image::fromFile($data['pozadi']);
                $obrazek->save(WWW_DIR.'/pictures/jpg/areal_'.$id_areal.'_bg.jpg');
             }
             
            
        }else{
            
        // UPRAVIT AREÁL
            
             
             // upravit pozadí
            if($data['pozadi']!='') {
                $obrazek = Image::fromFile($data['pozadi']);
                $obrazek->save(WWW_DIR.'/pictures/jpg/areal_'.$data['id_areal'].'_bg.jpg');
             }
             unset($data['pozadi']);
             
            
            \ArealyModel::getInstance()->arealUpd($data['id_areal'],$data);
            $this->getPresenter()->flashMessage('Areál byl úspěšně upraven','success');
            $this->getPresenter()->redirect('Admin:areal',$data['id_areal']);
            
            
        }
        
    }

}
