<?php

namespace AdminModule\Forms;

use Nette\Application\UI;
use Nette\Forms\Form;
use Nette\Image;
use Nette\ComponentModel\IContainer;

class CasForm extends UI\Form {

    public function __construct(IContainer $parent = NULL, $name = NULL) {
	parent::__construct($parent, $name);
        
        $this->addText('nazev','Název')
                ->addRule(Form::FILLED, 'Musí být zadán název');
        
        // sportoviště
        $sportoviste = array(0 => 'Vyberte sportoviste...', "Sportoviště" => \SportovisteModel::getInstance()->selectAllForm());
        $this->addSelect('id_sportoviste', 'Sportoviště', $sportoviste);
        
        $this->addText('poradi','Pořadí');
        
        
        $this->addHidden('id_cas');
        
	$this->addSubmit('send', 'Odeslat')
                ->setAttribute('class','btn btn-success');
	$this->onSuccess[] = array($this, 'formSubmited');
    }

    public function formSubmited($form) {
        
        $data = $form->getValues();
        $user = \UserModel::getInstance()->user($this->getPresenter()->getUser()->getId());
        
        if($data['id_cas']==0) {
         
        // NOVÝ ČAS  
            
            \CasyModel::getInstance()->casAdd($data);
            $this->getPresenter()->flashMessage('Čas byl úspěšně přidán','success');
            $this->getPresenter()->redirect('Admin:casy');
            
        }else{
            
        // UPRAVIT ČAS
            
            \CasyModel::getInstance()->casUpd($data['id_cas'],$data);
            $this->getPresenter()->flashMessage('Čas byl úspěšně přidán','success');
            $this->getPresenter()->redirect('Admin:casy');
            
        }
        
    }

}
