<?php

namespace AdminModule\Forms;

use Nette\Application\UI;
use Nette\Forms\Form;
use Nette\Mail\Mail;
use Nette\ComponentModel\IContainer;

class CategoryForm extends UI\Form {

    public function __construct(IContainer $parent = NULL, $name = NULL) {
	parent::__construct($parent, $name);
        
        $this->addText('nazev','Název kategorie')
                ->addRule(Form::FILLED, 'Musí být zadán nadpis');
        
        $this->addHidden('id_category');
        
	$this->addSubmit('send', 'Odeslat')
                ->setAttribute('class','btn btn-success');
	$this->onSuccess[] = array($this, 'formSubmited');
    }

    public function formSubmited($form) {
        
        $data = $form->getValues();
        $user = \UserModel::getInstance()->user($this->getPresenter()->getUser()->getId());
        
        if($data['id_category']==0) {
         
        // NOVÁ KATEGORIE  
            
            $zdroj = array(
                'nazev'     => $data['nazev']
            );
            
            \CategoriesModel::getInstance()->categoryAdd($zdroj);
            $this->getPresenter()->flashMessage('Kategorie byla úspěšně přidána','success');
            $this->getPresenter()->redirect('Admin:categories');
            
        }else{
            
        // UPRAVIT KATEGORII
            
            $zdroj = array(
                'nazev'     => $data['nazev'],
            );
            
            \CategoriesModel::getInstance()->categoryUpd($data['id_category'],$zdroj);
            $this->getPresenter()->flashMessage('Kategorie byla úspěšně upravena','success');
            $this->getPresenter()->redirect('Admin:categories');
            
        }
        
    }

}
