<?php

namespace AdminModule\Forms;

use Nette\Application\UI;
use Nette\Forms\Form;
use Nette\Image;
use Nette\ComponentModel\IContainer;

\Nette\Forms\Controls\MultiUploadControl::register();

class CenikForm extends UI\Form {

    public function __construct(IContainer $parent = NULL, $name = NULL) {
	parent::__construct($parent, $name);
        
        $this->addText('nazev','Název')
                ->addRule(Form::FILLED, 'Musí být zadán název');
        
        $this->addText('cena', 'Cena');
        
        $this->addText('poradi', 'Pořadí');
        
        $this->addHidden('id_kategorie');
        
        $this->addHidden('id_cena');
        
	$this->addSubmit('send', 'Uložit')
                ->setAttribute('class','btn btn-success');
	$this->onSuccess[] = array($this, 'formSubmited');
    }

    public function formSubmited($form) {
        
        $data = $form->getValues();
        $user = \UserModel::getInstance()->user($this->getPresenter()->getUser()->getId());
        
        if($data['id_cena']==0) {
         
        // NOVÁ POLOŽKA CENÍKU    
            
            $zdroj = array(
                'id_kategorie' => $data['id_kategorie'],
                'nazev'        => $data['nazev'],
                'cena'         => $data['cena'],
                'poradi'       => $data['poradi']
            );
            $id_cena = \CenikyModel::getInstance()->cenaAdd($zdroj);
            
            $this->getPresenter()->flashMessage('Položka byla přidána','success');
            $this->getPresenter()->redirect('this');
            
            
        }else{
            
        // UPRAVIT KATEGORII
            
            $zdroj = array(
                'id_kategorie' => $data['id_kategorie'],
                'nazev'        => $data['nazev'],
                'cena'         => $data['cena'],
                'poradi'       => $data['poradi']
            );
            
            \CenikyModel::getInstance()->cenaUpd($data['id_cena'],$zdroj);
            
            $this->getPresenter()->flashMessage('Položka byla úspěšně upravena','success');
            $this->getPresenter()->redirect('Admin:cenaKatUpd',$data['id_kategorie']);
            
        }
        
    }

}
