<?php

namespace AdminModule\Forms;

use Nette\Application\UI;
use Nette\Forms\Form;
use Nette\Image;
use Nette\ComponentModel\IContainer;

\Nette\Forms\Controls\MultiUploadControl::register();

class CenikKatForm extends UI\Form {

    public function __construct(IContainer $parent = NULL, $name = NULL) {
	parent::__construct($parent, $name);
        
        $this->addText('nazev','Název')
                ->addRule(Form::FILLED, 'Musí být zadán název');
        
        $category = array("Areály" => \ArealyModel::getInstance()->selectAllForm());
        $this->addSelect('id_areal', 'Areál', $category)
                ->setPrompt('Vyberte areál...')
                ->addRule(Form::FILLED, 'Musí být vybrán areál');
        
        $this->addTextArea('poznamka', 'Poznámka')
                ->setAttribute('class','tinyMce');
        
        $this->addText('poradi','Pořadí');
        
        $this->addHidden('id_kategorie');
        
	$this->addSubmit('send', 'Uložit')
                ->setAttribute('class','btn btn-success');
	$this->onSuccess[] = array($this, 'formSubmited');
    }

    public function formSubmited($form) {
        
        $data = $form->getValues();
        $user = \UserModel::getInstance()->user($this->getPresenter()->getUser()->getId());
        
        if($data['id_kategorie']==0) {
         
        // NOVÁ KATEGORIE CENÍKU     
            
            $zdroj = array(
                'nazev'      => $data['nazev'],
                'id_areal'   => $data['id_areal'],
                'poradi'     => $data['poradi'],
                'poznamka'   => $data['poznamka']
            );
            $id_kategorie = \CenikyModel::getInstance()->cenaKatAdd($zdroj);
            
            $this->getPresenter()->flashMessage('Ceník byl úspěšně přidán','success');
            $this->getPresenter()->redirect('Admin:areal',$data['id_areal']);
            
            
        }else{
            
        // UPRAVIT KATEGORII
            
            $zdroj = array(
                'nazev'      => $data['nazev'],
                'id_areal'   => $data['id_areal'],
                'poradi'     => $data['poradi'],
                'poznamka'   => $data['poznamka']
            );
            
            \CenikyModel::getInstance()->cenaKatUpd($data['id_kategorie'],$zdroj);
            
            $this->getPresenter()->flashMessage('Ceník byl úspěšně upraven','success');
            $this->getPresenter()->redirect('Admin:areal',$data['id_areal']);
            
        }
        
    }

}
