<?php

namespace AdminModule\Forms;

use Nette\Application\UI;
use Nette\Forms\Form;
use Nette\Mail\Mail;
use Nette\ComponentModel\IContainer;

class EventForm extends UI\Form {

    public function __construct(IContainer $parent = NULL, $name = NULL) {
	parent::__construct($parent, $name);
        
        $this->addText('nazev','Název události')
                ->addRule(Form::FILLED, 'Musí být zadán název');
        
        $this->addText('datum','Datum:')
                ->addRule(Form::FILLED, 'Musí být zadáno datum a čas')
                ->setHtmlId('datetime');
        
        $arealy = array('Areály' => \ArealyModel::getInstance()->selectAllForm());
        $this->addSelect('id_areal','Areál', $arealy)
                ->setPrompt('Vyberte areál')
                ->addRule(Form::FILLED, 'Musíte vybrat areál');
        
        $this->addTextArea('html', 'Text')
                ->addRule(Form::FILLED, 'Musí být zadán text')
                ->setAttribute('class','tinyMce');
        
        // galerie
        $galerie = array(0 => 'Vyberte galerii...', "Fotogalerie" => \GaleriesModel::getInstance()->selectAllForm());
        $this->addSelect('id_galery', 'Připojit galerii', $galerie);
        
        $this->addHidden('id_event');
        
	$this->addSubmit('send', 'Odeslat')
                ->setAttribute('class','btn btn-success');
	$this->onSuccess[] = array($this, 'formSubmited');
    }

    public function formSubmited($form) {
        
        $data = $form->getValues();
        $user = \UserModel::getInstance()->user($this->getPresenter()->getUser()->getId());
        
        if($data['id_event']==0) {
         
        // NOVÁ UDÁLOST    
            
            $zdroj = array(
                'id_user' => $user['id_user'],
                'id_areal'=> $data['id_areal'],
                'id_galery'=> $data['id_galery'],
                'nazev'   => $data['nazev'],
                'html'    => $data['html'],
                'datum'   => $data['datum']
            );
            
            \EventsModel::getInstance()->eventAdd($zdroj);
            $this->getPresenter()->flashMessage('Událost byla úspěšně přidána','success');
            $this->getPresenter()->redirect('Admin:areal',$data['id_areal']);
            
            
            
        }else{
            
        // UPRAVIT UDÁLOST
            
            $zdroj = array(
                'id_user' => $user['id_user'],
                'id_areal'=> $data['id_areal'],
                'id_galery'=> $data['id_galery'],
                'nazev'   => $data['nazev'],
                'html'    => $data['html'],
                'datum'   => $data['datum']
            );
            
            \EventsModel::getInstance()->eventUpd($data['id_event'],$zdroj);
            $this->getPresenter()->flashMessage('Událost byla úspěšně upravena','success');
            $this->getPresenter()->redirect('Admin:areal',$data['id_areal']);
            
        }
        
    }

}
