<?php

namespace AdminModule\Forms;

use Nette\Application\UI;
use Nette\Forms\Form;
use Nette\Image;
use Nette\ComponentModel\IContainer;

\Nette\Forms\Controls\MultiUploadControl::register();

class GaleryForm extends UI\Form {

    public function __construct(IContainer $parent = NULL, $name = NULL) {
	parent::__construct($parent, $name);
        
        $this->addText('nazev','Název galerie')
                ->addRule(Form::FILLED, 'Musí být zadán název');
        
        $category = array("Areály" => \ArealyModel::getInstance()->selectAllForm());
        $this->addSelect('id_areal', 'Areál', $category)
                ->setPrompt('Vyberte areál...');
        
        $this->addMultiUpload('pictures', 'Fotografie');
        
        $this->addHidden('id_galery');
        
        $this->addTextArea('html', 'Popis galerie')
                ->setAttribute('class','tinyMce');
        
        $this->addText('datum','Datum')
                ->setAttribute('class','date');
        
	$this->addSubmit('send', 'Odeslat')
                ->setAttribute('class','btn btn-success');
	$this->onSuccess[] = array($this, 'formSubmited');
    }

    public function formSubmited($form) {
        
        $data = $form->getValues();
        $user = \UserModel::getInstance()->user($this->getPresenter()->getUser()->getId());
        
        ini_set('memory_limit', '-1');
        
        if($data['id_galery']==0) {
         
        // NOVÁ GALERIE    
            
            $zdroj = array(
                'id_user' => $user['id_user'],
                'id_areal' => $data['id_areal'],
                'nazev'   => $data['nazev'],
                'html'    => $data['html'],
                'datum'   => new \DateTime
            );
            $id_galery = \GaleriesModel::getInstance()->galeryAdd($zdroj);
            
            // přidání fotek
            $i = \PicturesModel::getInstance()->lastPicture()+1;
            foreach($data['pictures'] as $picture) {
                if($picture->isOk()) {
                    $zdroj2 = array(
                        'id_galery' => $id_galery
                    );
                    $obr_src = \PicturesModel::getInstance()->pictureAdd($zdroj2);
                $obrazek = Image::fromFile($picture);
                $obrazek->resize(800,NULL);
                $obrazek->save(WWW_DIR.'/pictures/jpg/'.$obr_src.'.jpg');
                $obrazek->resize(120,NULL);
                $obrazek->save(WWW_DIR.'/pictures/jpg/'.$obr_src.'_s.jpg');
                $i++;
                }
            }
            
            $this->getPresenter()->flashMessage('Galerie byla úspěšně přidána','success');
            $this->getPresenter()->redirect('Admin:areal',$data['id_areal']);
            
            
        }else{
            
        // UPRAVIT GALERII
            
            $zdroj = array(
                'id_user' => $user['id_user'],
                'id_areal' => $data['id_areal'],
                'nazev'   => $data['nazev'],
                'datum'   => $data['datum'],
                'html'    => $data['html']
            );
            
            \GaleriesModel::getInstance()->galeryUpd($data['id_galery'],$zdroj);
            
            // přidání fotek
            $i = \PicturesModel::getInstance()->lastPicture()+1;
            foreach($data['pictures'] as $picture) {
                if($picture->isOk()) {
                    $zdroj2 = array(
                        'id_galery' => $data['id_galery']
                    );
                    $obr_src = \PicturesModel::getInstance()->pictureAdd($zdroj2);
                $obrazek = Image::fromFile($picture);
                $obrazek->resize(800,NULL);
                $obrazek->save(WWW_DIR.'/pictures/jpg/'.$obr_src.'.jpg');
                $obrazek->resize(120,NULL);
                $obrazek->save(WWW_DIR.'/pictures/jpg/'.$obr_src.'_s.jpg');
                $i++;
                }
            }
            
            $this->getPresenter()->flashMessage('Galerie byla úspěšně upravena','success');
            $this->getPresenter()->redirect('Admin:areal',$data['id_areal']);
            
        }
        
    }

}
