<?php

namespace AdminModule\Forms;

use Nette\Application\UI;
use Nette\ComponentModel\IContainer;
use Nette\Forms\Form;
use Nette\Security\AuthenticationException;

class LoginForm extends UI\Form {

    public function __construct(IContainer $parent = NULL, $name = NULL) {
	parent::__construct($parent, $name);
        
	$this->addText('email', 'E-mail:')
		->addRule(Form::FILLED, 'Prosím zadejte e-mailovou adresu.');

	$this->addPassword('password', 'Heslo:')
		->addRule(Form::FILLED, 'Prosím zadajte heslo.');

	$this->addSubmit('send', 'Přihlásit se')
                ->setAttribute('class','btn btn-info');
	$this->onSuccess[] = array($this, 'formSubmited');
    
    }

    public function formSubmited($form) {
        /*
	try {
	    $user = $this->getPresenter()->getUser();
	    $user->login($form['email']->value, $form['password']->value);
            
                    
            if($user->isInRole('admin')){
                $this->getPresenter()->redirect('Admin:default');
            }else{
                $this->getPresenter()->flashMessage('Nemáte práva pro přístup do administrace','error');
                $this->getPresenter()->redirect('Login:default');
            }
	    
	} catch (AuthenticationException $e) {
	    $form->getPresenter()->flashMessage($e->getMessage(),'error');
	}
         * 
         */
        
        $values = $form->getValues();

		try {
			$this->getPresenter()->getUser()->login($values->email, $values->password);
			
                        $user = $this->getPresenter()->getUser();
                        if($user->isInRole('admin')){
                            $this->getPresenter()->redirect('Admin:areal');
                        }else{
                            $this->getPresenter()->flashMessage('Nemáte práva pro přístup do administrace','error');
                            $this->getPresenter()->redirect('Login:default');
                        }
                        

		} catch (Nette\Security\AuthenticationException $e) {
			$form->getPresenter()->flashMessage($e->getMessage(),'error');
		}
        
    }

}
    