<?php

namespace AdminModule\Forms;

use Nette\Application\UI;
use Nette\Application\AppForm;
use Nette\Forms\Form;
use Nette\Mail\Mail;
use Nette\ComponentModel\IContainer;

class NastaveniForm extends UI\Form {

    public function __construct(IContainer $parent = NULL, $name = NULL) {
	parent::__construct($parent, $name);
        
        $this->addText('nazev','Název projektu')
                ->addRule(Form::FILLED, 'Musí být zadán název');
        
        $this->addText('url', 'URL adresa')
                ->addRule(Form::FILLED,  'Musí být zadána URL adresa');
       
        $this->addText('email', 'E-mail')
                ->addRule(Form::FILLED, 'Musí být zadán e-mail');
        
        $this->addText('telefon','Telefon');
        
        $this->addText('ulice','Ulice');
        
        $this->addText('mesto','Město');
        
        $this->addText('psc','PSČ');
        
        $this->addText('ic','IČ');
        
        $this->addText('dic','DIČ');
        
        $this->addText('bankovni_ucet','Bankovní účet');
        
        $this->addText('rezervace_dny','Omezení rezervace (dny):')
                ->addRule(Form::INTEGER,'Hodnota musí být číslo');
        
        $this->addTextArea('hlaska', 'Vyskakovací okno')
                ->setAttribute('class','tinyMce');
        
        $this->addCheckbox('emaily','Zasílat uživatelům e-maily');
        
        $this->addTextArea('email_rezervace','Text rezervačního e-mailu')
                ->setAttribute('class','tinyMce');
        
        $this->addTextArea('obchodni_podminky','Obchodní podmínky')
                ->setAttribute('class','tinyMce');
        
	$this->addSubmit('send', 'Odeslat')
                ->setAttribute('class','btn btn-success');
	$this->onSuccess[] = array($this, 'formSubmited');
    }

    public function formSubmited($form) {
        
        $data = $form->getValues();
        
        // ÚPRAVA NASTAVENÍ
        \NastaveniModel::getInstance()->updateNastaveni($data);
        
    }

}
