<?php

namespace AdminModule\Forms;

use Nette\Application\UI;
use Nette\Application\AppForm;
use Nette\Forms\Form;
use Nette\Mail\Mail;
use Nette\ComponentModel\IContainer;

class NewsletterForm extends UI\Form {

    public function __construct(IContainer $parent = NULL, $name = NULL) {
	parent::__construct($parent, $name);
        
        
        $this->addText('predmet','Předmět')
                ->addRule(Form::FILLED, 'Musí být zadán předmět e-mailu');
        
        $this->addTextArea('newsletter')
                ->addRule(Form::FILLED,'Musí být zadán text newsletteru');
        
	$this->addSubmit('send', 'Odeslat')
                ->setAttribute('class','btn btn-success')
                ->setAttribute('onclick','return(confirm("Opravdu chcete newsletter odeslat?"));');
        
	$this->onSuccess[] = array($this, 'formSubmited');
    }

    public function formSubmited($form) {
        
        $nastaveni = \NastaveniModel::getInstance()->selectAll();
        
        $data = $form->getValues();
        
        $adresati = \UserModel::getInstance()->newsletter();
        
        foreach($adresati as $adresat) {
            $mail = new Mail;
            $mail->setFrom($nastaveni['nazev'].' <'.$nastaveni['email'].'>')
            ->addTo($adresat['email'])
            ->setSubject($data['predmet'])
            ->setHTMLBody($data['newsletter'])
            ->send();
        }
        
        $this->getPresenter()->flashMessage('E-maily byly úspěšně odeslány','success');
        $this->getPresenter()->redirect('Admin:newsletter');
        
    }

}
