<?php

namespace AdminModule\Forms;

use Nette\Application\UI;
use Nette\Application\AppForm;
use Nette\Forms\Form;
use Nette\Mail\Mail;
use Nette\ComponentModel\IContainer;
use Nette\Utils\Strings;

class PageForm extends UI\Form {

    public function __construct(IContainer $parent = NULL, $name = NULL) {
	parent::__construct($parent, $name);
        
        $this->addText('nazev','Název stránky')
                ->addRule(Form::FILLED, 'Musí být zadán název');
        
        $category = array("Areály" => \ArealyModel::getInstance()->selectAllForm());
        $this->addSelect('id_areal', 'Areál', $category)
                ->setPrompt('Vyberte areál...');
        
        $this->addTextArea('html', 'Text')
                ->addRule(Form::FILLED, 'Musí být zadán text')
                ->setAttribute('class','tinyMce');
        
        $this->addText('poradi', 'Pořadí');
        
        $this->addHidden('id_page');
        
	$this->addSubmit('send', 'Odeslat')
                ->setAttribute('class','btn btn-success');
	$this->onSuccess[] = array($this, 'formSubmited');
    }

    public function formSubmited($form) {
        
        $data = $form->getValues();
        $user = \UserModel::getInstance()->user($this->getPresenter()->getUser()->getId());
        
        if($data['id_page']==0) {
         
        // NOVÁ STRÁNKA    
            
            if($data['id_areal']=='') {
                $data['id_areal'] = 0;
            }
            
            $zdroj = array(
                'id_user' => $user['id_user'],
                'id_areal' => $data['id_areal'],
                'url'       => Strings::webalize($data['nazev']),
                'nazev'   => $data['nazev'],
                'html'    => $data['html'],
                'datum'   => new \DateTime,
                'poradi'  => $data['poradi']
            );
            
            \PagesModel::getInstance()->pageAdd($zdroj);
            $this->getPresenter()->flashMessage('Stránka byla úspěšně přidána','success');
            $this->getPresenter()->redirect('Admin:pages');
            
            
            
        }else{
            
        // UPRAVIT STRÁNKU
            
            if($data['id_areal']=='') {
                $data['id_areal'] = 0;
            }
            
            $zdroj = array(
                'id_user' => $user['id_user'],
                'id_areal' => $data['id_areal'],
                'url'       => Strings::webalize($data['nazev']),
                'nazev'   => $data['nazev'],
                'html'    => $data['html'],
                'poradi'  => $data['poradi']
            );
            
            \PagesModel::getInstance()->pageUpd($data['id_page'],$zdroj);
            $this->getPresenter()->flashMessage('Stránka byla úspěšně upravena','success');
            $this->getPresenter()->redirect('this');
            
        }
        
    }

}
