<?php

namespace AdminModule\Forms;

use Nette\Application\UI;
use Nette\Forms\Form;
use Nette\Image;
use Nette\ComponentModel\IContainer;

class PlatbaForm extends UI\Form {

    public function __construct(IContainer $parent = NULL, $name = NULL) {
	parent::__construct($parent, $name);
        
        if($this->getPresenter()->getAction()=='platbaAdd') {
            // areály
            $arealy = array('Vyberte CTRL + klik' => \ArealyModel::getInstance()->selectAllForm());
            $this->addMultiSelect('id_areal', 'Areál', $arealy);
            
            // sportoviště
            $sportoviste = array('Vyberte CTRL + klik' => \SportovisteModel::getInstance()->selectAllForm());
            $this->addMultiSelect('id_sportoviste', 'Sportoviště', $sportoviste);
        }
            
        $this->addText('nazev','Název');
        
        $this->addText('value','Cena');
        
        $this->addHidden('id_platba');
        
	$this->addSubmit('send', 'Odeslat')
                ->setAttribute('class','btn btn-success');
	$this->onSuccess[] = array($this, 'formSubmited');
    }

    public function formSubmited($form) {
        
        $data = $form->getValues();
        $user = \UserModel::getInstance()->user($this->getPresenter()->getUser()->getId());
        
        if($data['id_platba']==0) {
         
            $zdroj = array(
                'nazev'  => $data['nazev'],
                'value'  => $data['value']
            );
            
            // pokud je zadáno buď sportoviště nebo areál, ale nesmí být zadáno obojí zároveň
            
            if((count($data['id_areal'])>0)&&(count($data['id_sportoviste']))) {
                $this->getPresenter()->flashMessage('Vyberte buď sportoviště nebo areály. Nikoliv obojí současně.', 'error');
                $this->getPresenter()->redirect('this');
                
            }else{
                if(count($data['id_areal']>0)) {
                    foreach($data['id_areal'] as $item) {
                    $zdroj['id_areal'] = $item;
                    \PlatbyModel::getInstance()->platbaAdd($zdroj);
                    }
                }
                if(count($data['id_sportoviste']>0)) {
                    foreach($data['id_sportoviste'] as $item) {
                    $zdroj['id_sportoviste'] = $item;
                    \PlatbyModel::getInstance()->platbaAdd($zdroj);
                    }
                }
            }
            
            
        // NOVÁ PLATBA  
            
            $this->getPresenter()->flashMessage('Platby byla úspěšně přidána','success');
            $this->getPresenter()->redirect('Admin:platby');
            
        }else{
            
        // UPRAVIT PLATBU
            $id_platba = $data['id_platba'];
            unset($data['id_platba']);
            unset($data['id_areal']);
            \PlatbyModel::getInstance()->platbaUpd($id_platba,$data);
            $this->getPresenter()->flashMessage('Platba byla úspěšně upravena','success');
            $this->getPresenter()->redirect('Admin:platby');
            
        }
        
    }

}
