<?php

namespace AdminModule\Forms;

use Nette\Application\UI;
use Nette\Forms\Form;
use Nette\Image;
use Nette\ComponentModel\IContainer;

class PolozkaForm extends UI\Form {

    public function __construct(IContainer $parent = NULL, $name = NULL) {
	parent::__construct($parent, $name);
        
        $this->addText('nazev','Název');
        
        $this->addText('value','Cena (Kč)');
        
        $this->addHidden('id_platba');
        
	$this->addSubmit('send', 'Uložit')
                ->setAttribute('class','btn btn-success');
	$this->onSuccess[] = array($this, 'formSubmited');
    }

    public function formSubmited($form) {
        
        $data = $form->getValues();
        $user = \UserModel::getInstance()->user($this->getPresenter()->getUser()->getId());
        
        if($data['id_platba']==0) {
         
            $zdroj = array(
                'nazev'     => $data['nazev'],
                'id_areal'  => $this->getPresenter()->id_areal,
                'value'     => $data['value']
            );
            
            \PlatbyModel::getInstance()->platbaAdd($zdroj);
            
        // NOVÁ PLATBA  
            
            $this->getPresenter()->flashMessage('Platba/y byla úspěšně přidána','success');
            $this->getPresenter()->redirect('this');
            
        }else{
            
        // UPRAVIT PLATBU
            
            \PlatbyModel::getInstance()->platbaUpd($data['id_platba'],$data);
            $this->getPresenter()->flashMessage('Platba byla úspěšně upravena','success');
            $this->getPresenter()->redirect('this');
            
        }
        
    }

}
