<?php

namespace AdminModule\Forms;

use Nette\Application\UI;
use Nette\Forms\Form;
use Nette\Image;
use Nette\ComponentModel\IContainer;

class PrehledForm extends UI\Form {

    public function __construct(IContainer $parent = NULL, $name = NULL) {
	parent::__construct($parent, $name);
        
        
        $this->setMethod('GET');
        
        $user = \UserModel::getInstance()->user($this->getPresenter()->getUser()->getId());
        
        if(($this->getPresenter()->getUser()->isInRole('admin'))OR($user['ucetni']==1)) {
        $prodejci = \UserModel::getInstance()->selectAllForm(1);
        $prodejci[0] = 'Všichni prodejci';
        $this->addSelect('id_prodejce','Prodejce:',$prodejci)
                ->setPrompt('Vyberte prodejce...');
        
        // AREÁL
        $category = \ArealyModel::getInstance()->selectAllForm();
        $this->addSelect('id_areal_form', 'Areál', $category)
                ->setPrompt('Vyberte areál...');
        }
        
        $zpusob_array = array(1 => 'Souhrný přehled', 2 => 'Detailní přehled');
        $this->addSelect('zpusob','Zobrazení:',$zpusob_array);
        
        $this->addText('datum_od','Datum od')
                ->setAttribute('class','date');
        
        $this->addText('datum_do','Datum do')
                ->setAttribute('class','date');
        
        $this->addCheckbox('hotovost', 'Platba v hotovosti')
                ->setDefaultValue(0);
        
        $this->addCheckbox('faktura', 'Platba na fakturu')
                ->setDefaultValue(0);
        
        $this->addCheckbox('karta', 'Platba kartou')
                ->setDefaultValue(0);
        
	$this->addSubmit('send', 'Zobrazit')
                ->setAttribute('class','btn btn-success');
	$this->onSuccess[] = array($this, 'formSubmited');
    }

    public function formSubmited($form) {
        
        $data = $form->getValues();
        
        $datum_od = $data['datum_od']." 00:00:00";
        $datum_do = $data['datum_do']." 23:59:00";
        
        $user = \UserModel::getInstance()->user($this->getPresenter()->getUser()->getId());
        
        if(($this->getPresenter()->getUser()->isInRole('admin'))OR($user['ucetni']==1)) {
            if($data['id_prodejce']==0) {
                $id_prodejce = null;
            }else{
                $id_prodejce = $data['id_prodejce'];
            }
        }else{
            $id_prodejce = $this->getPresenter()->getUser()->getId();
        }
        
        if($data['id_areal_form']!='') {
            $id_areal_form = $data['id_areal_form'];
        }else{
            $id_areal_form = null;
        }
        if(isset($data['karta']) AND $data['karta']==1) {
                $form_karta = 1;
            }else{
                $form_karta = null;
            }
            if(isset($data['faktura']) AND $data['faktura']==1) {
                $form_faktura = 1;
            }else{
                $form_faktura = null;
            }
            if(isset($data['hotovost']) AND $data['hotovost']==1) {
                $form_hotovost = 1;
            }else{
                $form_hotovost = null;
            }
        
        if($data['zpusob'] == 1) {
            $polozky = \ProdejeModel::getInstance()->selectTransakce($id_prodejce,$id_areal_form,$datum_od,$datum_do,null);
            foreach($polozky as $key => $polozka) {
                $areal = \ArealyModel::getInstance()->areal($polozka['id_areal']);
                $polozky[$key]['areal'] = $areal['nazev'];
            }
            $karta   = \ProdejeModel::getInstance()->selectTransakce($id_prodejce,$id_areal_form,$datum_od,$datum_do,1);
            $karta_sum = 0;
            $faktura_sum = 0;
            foreach($karta as $item) {
                $karta_sum += $item['SUM(value)'];
            }
            $faktura = \ProdejeModel::getInstance()->selectTransakce($id_prodejce,$id_areal_form,$datum_od,$datum_do,null,1);
            foreach($faktura as $item) {
                $faktura_sum += $item['SUM(value)'];
            }
        }else{
            $polozky = \ProdejeModel::getInstance()->selectTransakceDetail($id_prodejce,$id_areal_form,$datum_od,$datum_do,$form_karta,$form_faktura,$form_hotovost);
            foreach($polozky as $key => $polozka) {
                $areal = \ArealyModel::getInstance()->areal($polozka['id_areal']);
                $polozky[$key]['areal'] = $areal['nazev'];
                if($polozka['id_rezervace']!=0) {
                    $rezervace = \RezervaceModel::getInstance()->rezervace($polozka['id_rezervace']);
                    if($rezervace['id_spravce']!=0) {
                        $spravce    = \UserModel::getInstance()->user($rezervace['id_spravce']);
                        $polozky[$key]['rezervoval'] = $spravce['jmeno'].' '.$spravce['prijmeni'].' (správce) - Rezervace na jméno: '.$rezervace['jmeno'];
                    }else{
                        $uzivatel   = \UserModel::getInstance()->user($rezervace['id_user']);
                        $polozky[$key]['rezervoval'] = $uzivatel['jmeno'].' '.$uzivatel['prijmeni'].' (uživatel)';
                    }
                    if($rezervace['id_prodejce']!=0) {
                        $prodejce   = \UserModel::getInstance()->user($rezervace['id_prodejce']);
                        $polozky[$key]['prodal'] = $prodejce['jmeno'].' '.$prodejce['prijmeni'];
                    }
                }
            }
            $karta_sum   = null;
            $faktura_sum = null;
        }
        
        if((isset($data['id_prodejce']))AND($data['id_prodejce'] == 0)) {
            $prodejci = \ProdejeModel::getInstance()->selectTransakceUsers($datum_od,$datum_do);
            foreach($prodejci as $key => $prodejce) {
                $prodejce = \UserModel::getInstance()->user($prodejce['id_user']);
                $prodejci[$key]['jmeno'] = $prodejce['prijmeni'].' '.$prodejce['jmeno'];
            }
        }else{
            $prodejci = null;
        }
        
        $this->getPresenter()->template->zpusob      = $data['zpusob'];
        $this->getPresenter()->template->polozky     = $polozky;
        $this->getPresenter()->template->id_prodejce = $id_prodejce;
        $this->getPresenter()->template->datum_od    = $datum_od;
        $this->getPresenter()->template->datum_do    = $datum_do;
        $this->getPresenter()->template->prodejci    = $prodejci;
        $this->getPresenter()->template->karta       = $karta_sum;
        $this->getPresenter()->template->faktura     = $faktura_sum;
        
        
    }

}
