<?php

namespace AdminModule\Forms;

use Nette\Application\UI;
use Nette\Forms\Form;
use Nette\Mail\Mail;
use Nette\ComponentModel\IContainer;

class RozvrhForm extends UI\Form {

    public function __construct(IContainer $parent = NULL, $name = NULL) {
	parent::__construct($parent, $name);
        
        // rozvrh
        $this->addText('nazev','Název');
        
        $category = array("Areály" => \ArealyModel::getInstance()->selectAllForm());
        $this->addSelect('id_areal', 'Areál', $category)
                ->setPrompt('Vyberte areál...');
        
        $this->addText('datum_od','Platnost od')
                ->setAttribute('class','date');
        
        $this->addText('datum_do','Platnost do')
                ->setAttribute('class','date');
        
        $this->addTextArea('pondeli', 'Pondělí')
                ->setAttribute('class','tinyMce')
                ->setAttribute('rows', '5');
        $this->addTextArea('utery', 'Úterý')
                ->setAttribute('class','tinyMce');
        $this->addTextArea('streda', 'Středa')
                ->setAttribute('class','tinyMce');
        $this->addTextArea('ctvrtek', 'Čtvrtek')
                ->setAttribute('class','tinyMce');
        $this->addTextArea('patek', 'Pátek')
                ->setAttribute('class','tinyMce');
        $this->addTextArea('sobota', 'Sobota')
                ->setAttribute('class','tinyMce');
        $this->addTextArea('nedele', 'Neděle')
                ->setAttribute('class','tinyMce');
        
        $this->addTextArea('poznamka', 'Poznámka k rozvrhu')
                ->setAttribute('class','tinyMce');
        
        $this->addText('poradi', 'Pořadí');
        
        $this->addHidden('id_rozvrh');
        
	$this->addSubmit('send', 'Odeslat')
                ->setAttribute('class','btn btn-success');
	$this->onSuccess[] = array($this, 'formSubmited');
    }

    public function formSubmited($form) {
        
        $data = $form->getValues();
        
        if($data['id_rozvrh']==0) {
         
        // NOVÝ ROZVRH      
            
            $zdroj = array(
                'id_areal' => $data['id_areal'],
                'nazev'    => $data['nazev'],
                'datum_od' => $data['datum_od'],
                'datum_do' => $data['datum_do'],
                'poznamka' => $data['poznamka'],
                'poradi'   => $data['poradi'],
                'pondeli'  => $data['pondeli'],
                'utery'    => $data['utery'],
                'streda'   => $data['streda'],
                'ctvrtek'  => $data['ctvrtek'],
                'patek'    => $data['patek'],
                'sobota'   => $data['sobota'],
                'nedele'   => $data['nedele']
            );
            
            \RozvrhyModel::getInstance()->rozvrhAdd($zdroj);
            $this->getPresenter()->flashMessage('Rozvrh byl úspěšně přidán','success');
            $this->getPresenter()->redirect('this');
            
            
            
        }else{
            
        // UPRAVIT UDÁLOST
            
            $zdroj = array(
                'id_areal' => $data['id_areal'],
                'nazev'    => $data['nazev'],
                'datum_od' => $data['datum_od'],
                'datum_do' => $data['datum_do'],
                'poznamka' => $data['poznamka'],
                'poradi'   => $data['poradi'],
                'pondeli'  => $data['pondeli'],
                'utery'    => $data['utery'],
                'streda'   => $data['streda'],
                'ctvrtek'  => $data['ctvrtek'],
                'patek'    => $data['patek'],
                'sobota'   => $data['sobota'],
                'nedele'   => $data['nedele']
            );
            
            \RozvrhyModel::getInstance()->rozvrhUpd($data['id_rozvrh'],$zdroj);
            $this->getPresenter()->flashMessage('Rozvrh byl úspěšně upraven','success');
            $this->getPresenter()->redirect('this');
            
        }
        
    }

}
