<?php

namespace AdminModule\Forms;

use Nette\Application\UI;
use Nette\Forms\Form;
use Nette\Image;
use Nette\ComponentModel\IContainer;

class SportovisteForm extends UI\Form {

    public function __construct(IContainer $parent = NULL, $name = NULL) {
	parent::__construct($parent, $name);
        
        $this->addText('nazev','Název areálu')
                ->addRule(Form::FILLED, 'Musí být zadán název');
        
        // areál
        $arealy = array(0 => 'Vyberte areál...', "Areály" => \ArealyModel::getInstance()->selectAllForm());
        $this->addSelect('id_areal', 'Areál', $arealy);
        
        $this->addTextArea('html', 'Popis')
                ->setAttribute('class','tinyMce');
        
        $this->addCheckbox('rezervace','Umožnit uživatelům rezervaci');
        
        $this->addCheckbox('hlavni','Celá plocha');
        
        $this->addCheckbox('vedlejsi','Část celé plochy');
        
        $this->addText('hodiny', 'Rezervací / den:');
        
        $this->addHidden('id_sportoviste');
        
	$this->addSubmit('send', 'Odeslat')
                ->setAttribute('class','btn btn-success');
	$this->onSuccess[] = array($this, 'formSubmited');
    }

    public function formSubmited($form) {
        
        $data = $form->getValues();
        $user = \UserModel::getInstance()->user($this->getPresenter()->getUser()->getId());
        
        if($data['id_sportoviste']==0) {
         
        // NOVÉ SPORTOVIŠTĚ  
            
            \SportovisteModel::getInstance()->sportovisteAdd($data);
            $this->getPresenter()->flashMessage('Sportoviště bylo úspěšně přidáno','success');
            $this->getPresenter()->redirect('Admin:sportoviste');
            
            
        }else{
            
        // UPRAVIT SPORTOVIŠTĚ
            
            \SportovisteModel::getInstance()->sportovisteUpd($data['id_sportoviste'],$data);
            $this->getPresenter()->flashMessage('Sportoviště bylo úspěšně upraveno','success');
            $this->getPresenter()->redirect('Admin:sportoviste');
            
        }
        
    }

}
