<?php

namespace AdminModule\Forms;

use Nette\Application\UI;
use Nette\Forms\Form;
use Nette\Image;
use Nette\ComponentModel\IContainer;

class TransakceForm extends UI\Form {

    public function __construct(IContainer $parent = NULL, $name = NULL) {
	parent::__construct($parent, $name);
        
        $prodejci = \UserModel::getInstance()->selectAllForm(1);
        $this->addSelect('id_prodejce','Prodejce:',$prodejci);
        
        $this->addText('datum_od','Od')
                ->setAttribute('class','date');
        
        $this->addText('datum_do','Do')
                ->setAttribute('class','date');
        
        $this->addText('poznamka','Poznámka');
        
        $this->addHidden('id_transakce');
        
	$this->addSubmit('send', 'Odeslat')
                ->setAttribute('class','btn btn-success');
	$this->onSuccess[] = array($this, 'formSubmited');
    }

    public function formSubmited($form) {
        
        $data = $form->getValues();
        
        if($data['id_transakce']==0) {
         
        // NOVÁ TRANSAKCE  
            
            $data['id_ucetni'] = $this->getPresenter()->getUser()->getId();
            $data['datum']     = new \DateTime;
            $data['datum_od']  = $data['datum_od'].' 00:00:00';
            $data['datum_do']  = $data['datum_do'].' 23:59:59';
            
            $cena_celkem = 0;
            $prodeje = \ProdejeModel::getInstance()->selectTransakce($data['id_prodejce'],null,$data['datum_od'],$data['datum_do'],0,0);
            foreach($prodeje as $prodej) {
                $cena_celkem += $prodej['SUM(value)'];
            }
            $data['value']     = $cena_celkem;
            
            $karta_celkem = 0;
            $prodeje2 = \ProdejeModel::getInstance()->selectTransakce($data['id_prodejce'],null,$data['datum_od'],$data['datum_do'],1,0);
            foreach($prodeje2 as $prodej2) {
                $karta_celkem += $prodej2['SUM(value)'];
            }
            $data['karta']     = $karta_celkem;
            
            $faktura_celkem = 0;
            $prodeje3 = \ProdejeModel::getInstance()->selectTransakce($data['id_prodejce'],null,$data['datum_od'],$data['datum_do'],0,1);
            foreach($prodeje3 as $prodej3) {
                $faktura_celkem += $prodej3['SUM(value)'];
            }
            $data['faktura']     = $faktura_celkem;
            
            \UctoModel::getInstance()->transakceAdd($data);
            $this->getPresenter()->flashMessage('Transakce byla uložena. Prodejce by měl zaplatit '.$cena_celkem.' Kč','success');
            $this->getPresenter()->redirect('Areal:transakce');
            
        }else{
            
        // UPRAVIT TRANSAKCI
            
            \UctoModel::getInstance()->transakceUpd($data['id_transakce'],$data);
            $this->getPresenter()->flashMessage('Transakce byla úspěšně upravena','success');
            $this->getPresenter()->redirect('Areal:transakce');
            
        }
        
    }

}
