<?php

namespace AdminModule;

use Nette\Web\User;
use Nette\Component;
use Nette\ComponentContainer;
use Nette\Application\Control;

abstract class BasePresenter extends \Nette\Application\UI\Presenter {

    
    public function __construct(Nette\IComponentContainer $parent = NULL, $name = NULL) {
	parent::__construct($parent, $name);
    }

    public function startup() {
	parent::startup();
        
        // nastavení do šablony
        $this->template->nastaveni = \NastaveniModel::getInstance()->selectAll();
        
        
    }
    
    // v šabloně zobrazuje měnu - 5000000 => 5 000 000 Kč
    protected function createTemplate($class = NULL){
        $template = parent::createTemplate($class);
        $template->registerHelper('currency', 'Helpers::currency');
        return $template;
    }
    
    // odhlášení uživatele
    
    public function handleLogOut() {
	$this->getUser()->logout();
	$this->redirect('Admin:default');
    }    
    
    // funkce pro převod na české datum
    protected function datum($datum) {
            $dny["Mon"] = "pondělí";
            $dny["Tue"] = "úterý";
            $dny["Wed"] = "středa";
            $dny["Thu"] = "čtvrtek"; 
            $dny["Fri"] = "pátek"; 
            $dny["Sat"] = "sobota";
            $dny["Sun"] = "neděle";

            $mesice = array(1=>"ledna", "února", "března",
            "dubna", "května", "června",
            "července", "srpna", "září",
            "října", "listopadu", "prosince");
            
            $timestamp = strtotime($datum);
            
            $datum = $dny[Date("D",$timestamp)] . Date(" j. ",$timestamp) . $mesice[(int)Date("m",$timestamp)]. Date(" H:i",$timestamp);
            return $datum;
        }
    
}

class Helpers
{
    public static function currency($value)
    {
        return str_replace(" ", "\xc2\xa0", number_format($value, 0, "", " ")) . "\xc2\xa0Kč";
    }
}
