<?php

namespace Components;

use Nette\Web\User;
use Nette\Component;
use Nette\ComponentContainer;
use Nette\Application\Control;

class CalendarControl extends \Nette\Application\UI\Control
{   
    private $month;
    private $year;
    
    public function __construct($month=null,$year=null) {
        $this->month = $month;
        $this->year = $year;
    }
    
    public function render(){
        
        
        $nastaveni = \NastaveniModel::getInstance()->selectAll();
        
              if($this->getPresenter()->getAction() == 'kalendar') {
                  // načte parametry
                 $param = $this->getPresenter()->getParam();
                 
                 if($param['rok']!=null){
                     $this->year = $param['rok'];
                 }
                 if($param['mesic']!=null){
                     $this->month = $param['mesic'];
                 }
              }
              
        // pokud nejsou proměnné zinicializovány, vloží aktuální hodnoty
              if(isSet($this->month)){ 
              $month = $this->month;
              }else{
              $month = date("m");
              }
              if(isSet($this->year)){
              $year = $this->year;
              }else{
              $year = date("Y");
              }
              
              // převod na korektní hodnoty
              $year = Date("Y", MkTime(0,0,0, $month, 1, $year));
              $month = Date("m", MkTime(0,0,0, $month, 1, $year));
              
              $count_days = Date("t", MkTime(0,0,0, $month, 1, $year)); // počet dnů v měsíci
              
              // ke každému dni přiřadí jeho číslo v týdnu (1 = pondělí, ...)
              for($i=1;$i<=$count_days;$i++):
                  $date[$i] = Date("w", MkTime(0,0,0,$month,$i,$year));
                  if($date[$i]==0) $date[$i] = 7;
              endfor;
              
              $first = $date[1];    // číslo prvního dne v měsíci (1 = pondělí, ...)
              
              // vypisuje odkazy pro zobrazení statistiky za dané období
              function DateLink($day,$month,$year)
              {
                    $nastaveni = \NastaveniModel::getInstance()->selectAll();
                    
                    $zaznam = '';
                    $datum_od = $year."-".$month."-".$day." 00:01:00";
                    $datum_do = $year."-".$month."-".$day." 23:59:00";
                    
                    $terminy = \EventsModel::getInstance()->selectAll(null,null,$datum_od,$datum_do);
                    
                    // udalost - neni dnes
                    if((count($terminy)!=0)AND($day.".".$month.".".$year != Date("j.m.Y"))){
                      foreach($terminy as $termin){
                        $date = $termin['datum'];
                        $date = strtotime($date);
                        $date = StrFTime("%H:%M", $date);
                        $zaznam .=  "<p><strong>".$date."</strong><br /><a href=".$nastaveni['url']."/udalost/".$termin['id_event'].">".$termin['nazev']."</a></p>";
                      }
                      echo "<span class='day'>$day</span>$zaznam";
                    }
                    // udalost - JE dnes
                    elseif((count($terminy)!=0)AND($day.".".$month.".".$year == Date("j.m.Y"))){
                      foreach($terminy as $termin){
                        $date = $termin['datum'];
                        $date = strtotime($date);
                        $date = StrFTime("%H:%M", $date);
                        $zaznam .=  "<p><strong>".$date."</strong><br />".$termin['nazev']."</p>";
                      }
                      echo "<span class='day'>$day</span>$zaznam";
                    
                    }elseif($day.".".$month.".".$year == Date("j.m.Y")){
                      echo "<span class='day dnes'>$day</span>";
                    }else{
                      echo "<span class='day'>$day</span>";
                    }
               }
              
              ?>
              
              <table id="kalendar" class="table table-bordered" cellspacing="0" border="0" cellpadding="0">
              <tr>
              <?php
              
              // předchozí, aktuální a následující měsíc
              echo '<th><a href="'.$nastaveni['url'].'/kalendar/' . $year . '/0' . ($month-1) . '/" class="tooltip2" data-html="true"  title="<p><b>Předchozí měsíc</b></p>"><b>&laquo;</b></a></th>';
              echo "<th colspan='5'><span class='mesic'>";
              
              $mesic['01'] = "Leden";
              $mesic['02'] = "Únor";
              $mesic['03'] = "Březen";
              $mesic['04'] = "Duben";
              $mesic['05'] = "Květen";
              $mesic['06'] = "Červen";
              $mesic['07'] = "Červenec";
              $mesic['08'] = "Srpen";
              $mesic['09'] = "Září";
              $mesic['10'] = "Říjen";
              $mesic['11'] = "Listopad";
              $mesic['12'] = "Prosinec";
              
              echo $mesic[$month]." ".$year;    // odkaz na měsíční statistiku
              echo "</span></th>";
              echo '<th><a href="'.$nastaveni['url'].'/kalendar/' . $year . '/0' . ($month+1) .  '/"  class="tooltip2" data-html="true" title="<p><b>Následující měsíc</b></p>"><b>&raquo;</b></a></th>';
              
              ?>
              
              </td></tr>
              <tr>
                  <th width='13%'><span>Po</span></th>
                  <th width='13%'><span>Út</span></th>
                  <th width='13%'><span>St</span></th>
                  <th width='13%'><span>Čt</span></th>
                  <th width='13%'><span>Pá</span></th>
                  <th width='13%'><span>So</span></th>
                  <th width='13%'><span>Ne</span></th>
              </tr>
              
              <?php
              
              $day = 0;
              for($x=0;$x<=5;$x++):
              
                  // poslední den v týdnu
                  
                  if($x==0)    // první týden
                      $end = 7-$first+1;
                  elseif($day+7>=$count_days)    // poslední týden
                      $end = $count_days;
                  else    // zbylé týdny
                      $end = $day+7;
              
                  
                  for($i=1;$i<=7;$i++):
                      echo '<td>';
                      $day = $x*7+$i-$first+1; // na základě obou cyklů postupně počítá den
                      
                      if((isset($date[$day]))AND($date[$day] == $i)) {
                          DateLink($day, $month, $year); // odkaz na denní statistiku
                      }else{
                          echo "<span class='empty'></span>";    
                      }
                      echo '</td>';
                  endfor;
                  echo '</tr>';
              
                  if(!CheckDate($month, $day+1, $year)) break; // pokud neexistuje následující datum, ukončí cyklus
              endfor;
              
              ?>
              <tr>
              
              <?php
              
              // předchozí, aktuální a následující měsíc
              echo '<th><a href="'.$nastaveni['url'].'/kalendar/' . $year . '/0' . ($month-1) . '/" class="tooltip2" data-html="true"  title="<p><b>Předchozí měsíc</b></p>"><b>&laquo;</b></a></th>';
              echo "<th colspan='5'><span class='mesic'>";
              
              $mesic['01'] = "Leden";
              $mesic['02'] = "Únor";
              $mesic['03'] = "Březen";
              $mesic['04'] = "Duben";
              $mesic['05'] = "Květen";
              $mesic['06'] = "Červen";
              $mesic['07'] = "Červenec";
              $mesic['08'] = "Srpen";
              $mesic['09'] = "Září";
              $mesic['10'] = "Říjen";
              $mesic['11'] = "Listopad";
              $mesic['12'] = "Prosinec";
              
              echo $mesic[$month]." ".$year;    // odkaz na měsíční statistiku
              echo "</span></th>";
              echo '<th><a href="'.$nastaveni['url'].'/kalendar/' . $year . '/0' . ($month+1) .  '/"  class="tooltip2" data-html="true" title="<p><b>Následující měsíc</b></p>"><b>&raquo;</b></a></th>';
              
              ?>
              </tr>
              <?php
              
              echo "</table>";
              
              ?>
              <script type="text/javascript">
                $(document).ready(function(){
                    $('.tooltip2').tooltip(function(){
                    });
                })
              </script>
              <?php
    }
}