<?php

namespace Components;

use Nette\Web\User;
use Nette\Component;
use Nette\ComponentContainer;
use Nette\Application\Control;

class RezervaceControl extends \Nette\Application\UI\Control
{   
    private $week;
    private $year;
    private $day;
    
    public function __construct($week=null,$year=null,$day=null) {
        $this->week  = $week;
        $this->year  = $year;
        $this->day   = $day;
    }
    
    public function render(){
        
        $nastaveni = \NastaveniModel::getInstance()->selectAll();
        $user      = $this->getPresenter()->getUser();
        
              if($this->getPresenter()->getAction() == 'Sportoviste') {
                  // načte parametry
                 $param = $this->getPresenter()->getParam();
                 if($param['rok']!=null){
                     $this->year = $param['rok'];
                 }
                 if($param['tyden']!=null){
                     $this->week = $param['tyden'];
                 }
                 if($param['den']!=null){
                     $this->day = $param['den'];
                 }
                 
                 $id_sportoviste = $param['id_sportoviste'];
              }
              
        // pokud nejsou proměnné zinicializovány, vloží aktuální hodnoty
              // pokud je nastavený den, tak podle něho určíme týden
              if(isSet($this->day)){
                $week = Date('W',  strtotime($this->day));
                $year = Date('Y',  strtotime($this->day));
              }else{
                  if(isSet($this->week)){ 
                    $week = $this->week;
                  }else{
                    $week = date("W");
                  }
                  if(isSet($this->year)){
                    $year = $this->year;
                  }else{
                    $year = date("Y");
                  }
              }
              
              
              $first = strtotime($year . 'W' . $week);
              $end   = strtotime("+6 days",$first);
              
              $mesic['01'] = "ledna";
              $mesic['02'] = "února";
              $mesic['03'] = "března";
              $mesic['04'] = "dubna";
              $mesic['05'] = "května";
              $mesic['06'] = "června";
              $mesic['07'] = "července";
              $mesic['08'] = "srpna";
              $mesic['09'] = "září";
              $mesic['10'] = "října";
              $mesic['11'] = "listopadu";
              $mesic['12'] = "prosince";
              
              
              
              
              $od = explode('.',Date("d.m.Y",$first));
              $do = explode('.',Date("d.m.Y",$end));
              
              $tyden = 'Týden: <span>'.$od[0].'.'.$mesic[$od[1]].' '.$year.' - '.$do[0].'.'.$mesic[$do[1]].' '.$year.'</span> <a href="javascript:void(0)" id="show-calendar" style="display: inline-block;"></a> <div id="week-picker" class="week-picker" style="display: none;"></div>';
              
              // pokud se jedná o sportoviště s multifunkční halou, tak bude omezeno pouze na zobrazení aktuálního týdne
              $sportoviste = \SportovisteModel::getInstance()->sportoviste($id_sportoviste);
              
              $user_zdroj = \UserModel::getInstance()->user($this->getPresenter()->getUser()->getId());
              
              if((($sportoviste['vedlejsi']!=1)AND($sportoviste['hlavni']!=1))OR(($user->isInRole('admin')))OR($user_zdroj['cela_plocha']==1)) {
                  
              
              // předchozí, aktuální a následující týden
              echo '<table class="table table-bordered" id="rezervace-filter" cellspacing="0" border="0" cellpadding="0"><tr>';
              echo '<th style="text-align: center;" width="25%"><a href="'.$this->getPresenter()->context->httpRequest->url->basePath.$this->getPresenter()->areal['url'].'/sportoviste/'.$id_sportoviste.'/'.$year.'/'.($week-1).'/" class="ajax">&laquo; Předchozí týden</a></th><th style="text-align: center;display: block;" height="30" class="tyden">';
              echo $tyden;
              echo '</th><th style="text-align: center;" width="25%"><a href="'.$this->getPresenter()->context->httpRequest->url->basePath.$this->getPresenter()->areal['url'].'/sportoviste/'.$id_sportoviste.'/'.$year.'/'.($week+1).'/" class="ajax">Následující týden &raquo;</a></th>';
              echo "</table>";
              
              }
              
              // tabulka s výpisem dnu a termínů
              echo '<table class="table table-bordered table-striped" id="rezervace-casy" cellspacing="0" border="0" cellpadding="0">';
              
              // nadpisy (časy)
              $nadpisy = \CasyModel::getInstance()->selectAll(null,null,$id_sportoviste);
              echo "<tr><th></th>";
              foreach($nadpisy as $nadpis) {
                  echo "<th style='font-size: 70%;'>".$nadpis['nazev']."</th>";
              }
              echo "</tr>";
              
              // zobrazení dnů
              $den['0'] = "Pondělí";
              $den['1'] = "Úterý";
              $den['2'] = "Středa";
              $den['3'] = "Čtvrtek";
              $den['4'] = "Pátek";
              $den['5'] = "Sobota";
              $den['6'] = "Neděle";
              for($pocet_dnu=0;$pocet_dnu<=6;$pocet_dnu++) {
                  
                  if($pocet_dnu==0){
                          $aktual = strtotime($year . 'W' . $week);
                      }else{
                          $aktual = strtotime('+1 day',$aktual);
                      }
                  
                  echo "<tr";
                  // pokud je aktuální den, tak obarvíme <tr>
                  if(Date('d.m.y')==Date('d.m.y',$aktual)) {
                      echo " class='aktual'";
                  }
                  echo "><th class='den' style='font-size: 90%;line-height: 13px;'>";
                  echo $den[$pocet_dnu]."<br /><span style='font-size: 85%;color: #999999;'>".Date('j. n. Y',$aktual)."</span></th>";    
                      
                  foreach($nadpisy as $nadpis){
                      // title se zobrazí pouze adminovi a správci
                      if(($user->isInRole('admin'))OR($user->isInRole('spravce'))) {
                          $title = \RezervaceModel::getInstance()->tooltip($nadpis['id_cas'],Date("Y-m-d",$aktual));
                      }else{
                          $title = '';
                      }
                      echo "<td class='den tooltip2'><div class='rezervace tooltip2 ".\RezervaceModel::getInstance()->kontrola($nadpis['id_cas'],Date("Y-m-d",$aktual))."' id='".$id_sportoviste.":rezervace".$nadpis['id_cas'].":".Date("Y-m-d",$aktual)."' title='".$title."' data-animation='false'></div></td>";
                  }
                  echo "</tr>";
              }
              echo "</table>";
              
              ?>
              <script type="text/javascript">
                $(document).ready(function(){
                    $('.tooltip2').tooltip(function(){
                    });
                })
              </script>
              <?php
              
    }
}