<?php

namespace Forms;

use Nette\Application\UI;
use Nette\ComponentModel\IContainer;
use Nette\Forms\Form;
use Nette\Mail\Message;

class KontaktForm extends UI\Form {

    public function __construct(IContainer $parent = NULL, $name = NULL) {
	parent::__construct($parent, $name);
        
        $user = $this->getPresenter()->getUser();
        
        $this->addText('jmeno', 'Jméno a příjmení:')
                ->addRule(Form::FILLED, 'Zadejte Vaše jméno a příjmení');
        
	$this->addText('email', 'E-mail:')
		->addRule(Form::EMAIL, 'Prosím zadajte e-mailovou adresu');
        
        $this->addText('telefon','Telefon:');
        
        $this->addTextArea('text','Zpráva:')
                ->addRule(Form::FILLED, 'Musíte zadat text');
        
	$this->addSubmit('send', 'Odeslat vzkaz')
                ->setAttribute('class','btn btn-info');
	$this->onSuccess[] = array($this, 'formSubmited');
    }

    public function formSubmited($form) {
        
        $data = $form->getValues();
        $nastaveni = \NastaveniModel::getInstance()->selectAll();
        
        // odešleme na výchozí e-mail
        if($nastaveni['emaily']==1){
            $text_emailu = '
            <p>
            '.$data['text'].'
            </p>
            <p><strong>E-mail:</strong> '.$data['email'].'</p>
            <p><strong>Telefon:</strong> '.$data['telefon'].'</p>
            ';

            $mail = new Message;
            $mail->setFrom($data['jmeno'].' <'.$data['email'].'>')
            ->addTo($nastaveni['email'])
            ->setSubject($nastaveni['nazev'].' - kontaktní formulář')
            ->setHTMLBody($text_emailu)
            ->send();
        }
        
        $this->getPresenter()->flashMessage('Zpráva byla úspěšně odeslána','success');
        $this->getPresenter()->redirect('this');
        
    }

}
