<?php

namespace Forms;

use Nette\Application\UI;
use Nette\ComponentModel\IContainer;
use Nette\Forms\Form;
use Nette\Security\AuthenticationException;

class LoginForm extends UI\Form {

    public function __construct(IContainer $parent = NULL, $name = NULL) {
	parent::__construct($parent, $name);
        
	$this->addText('email', '')
                ->setAttribute('placeholder','E-mail')
		->addRule(Form::FILLED, 'Prosím zadejte e-mailovou adresu.');

	$this->addPassword('password', '')
                ->setAttribute('placeholder','Heslo')
		->addRule(Form::FILLED, 'Prosím zadajte heslo.');

	$this->addSubmit('send', 'Přihlásit se')
                ->setAttribute('class','btn btn-info');
	$this->onSuccess[] = array($this, 'formSubmited');
    
    }

    public function formSubmited($form) {
        
        $values = $form->getValues();

		try {
			$this->getPresenter()->getUser()->login($values->email, $values->password);
			
                        $user = $this->getPresenter()->getUser();
                        $this->getPresenter()->redirect('this');
                        

		} catch (Nette\Security\AuthenticationException $e) {
			$form->getPresenter()->flashMessage($e->getMessage(),'error');
		}
        
    }

}
    