<?php

namespace Forms;

use Nette\Application\UI;
use Nette\ComponentModel\IContainer;
use Nette\Forms\Form;
use Nette\Mail\Message;

class MultirezervaceForm extends UI\Form {

    public function __construct(IContainer $parent = NULL, $name = NULL) {
	parent::__construct($parent, $name);
        
        $user = $this->getPresenter()->getUser();
        
        $this->addText('nazev','Název:')
                ->addCondition(Form::FILLED,'Musí být zadán název');
        
        $this->addText('datum', 'Datum:')
                ->setAttribute('class','date');
        
        // sportoviště
        $sportoviste = array('Vyberte CTRL + klik' => \SportovisteModel::getInstance()->selectAllForm());
        $this->addMultiSelect('id_sportoviste', 'Sportoviště', $sportoviste);
        
	$this->addSubmit('send', 'Vytvořit rezervace')
                ->setAttribute('class','btn btn-info');
	$this->onSuccess[] = array($this, 'formSubmited');
    }

    public function formSubmited($form) {
        
        $data = $form->getValues();
        
        foreach($data['id_sportoviste'] as $id_sportoviste) {
            $sportoviste = \SportovisteModel::getInstance()->sportoviste($id_sportoviste);
            $casy        = \CasyModel::getInstance()->selectAll(null,null,$sportoviste['id_sportoviste']);
            foreach($casy as $cas) {
                $zdroj = array(
                    'id_sportoviste' => $sportoviste['id_sportoviste'],
                    'id_cas'         => $cas['id_cas'],
                    'id_spravce'     => $this->getPresenter()->getUser()->getId(),
                    'jmeno'          => $data['nazev'],
                    'datum'          => $data['datum'],
                    'datum_rezervace' => new \DateTime
                );
                \RezervaceModel::getInstance()->rezervaceAdd($zdroj);
                // pokud rezervuje vedlejší plochy, musí se zarezervovat i hlavní plocha
                if($sportoviste['vedlejsi']==1) {
                    \RezervaceModel::getInstance()->rezervaceVedlHlav($cas['id_cas'],$zdroj);
                }
                // pokud rezervuje hlavní plochu, musí se zarezerovat i všechny vedlejší plochy
                if($sportoviste['hlavni']==1) {
                    \RezervaceModel::getInstance()->rezervaceHlavVedl($cas['id_cas'],$zdroj);
                }
            }
        }
        
        $this->getPresenter()->flashMessage('Zpráva byla úspěšně odeslána','success');
        $this->getPresenter()->redirect('this');
        
    }

}
