<?php

namespace Forms;

use Nette\Application\UI;
use Nette\ComponentModel\IContainer;
use Nette\Forms\Form;
use Nette\Mail\Message;

class NewsletterForm extends UI\Form {

    public function __construct($parent, $name) {
	parent::__construct($parent, $name);
        
        $this->addText('email', '')
                ->addRule(Form::EMAIL, 'E-mail musí být zadán ve správném formátu')
                ->addRule(Form::FILLED, 'Musí být zadán e-mail')
                ->setAttribute('placeholder', 'E-mailová adresa');
    
	$this->addSubmit('send', 'Přihlásit se');
	$this->onSuccess[] = array($this, 'formSubmited');
    }

    public function formSubmited($form) {
        
        $data = $form->getValues();
        
        // ověření, zda už email není v DB
        if(\NewsletterModel::getInstance()->overeni($data['email'])) {
        
        // NOVÝ UŽIVATEL
            $zdroj = array(
                'email' => $data['email'],
                'jmeno' => $data['email']
            );

            \NewsletterModel::getInstance()->newEmail($zdroj);
            $this->getPresenter()->flashMessage('E-mail byl úspěšně přidán do databáze','success');
            $this->getPresenter()->redirect('this');
        }else{
            $this->getPresenter()->flashMessage('E-mail je již zaregistrován','error');
            $this->getPresenter()->redirect('this');
        }
    }

}
