<?php

namespace Forms;

use Nette\Application\UI;
use Nette\ComponentModel\IContainer;
use Nette\Forms\Form;
use Nette\Mail\Mail;

class PotvrditForm extends UI\Form {

    public function __construct(IContainer $parent = NULL, $name = NULL, $id_rezervace = NULL) {
	parent::__construct($parent, $name, $id_rezervace);
        
        $user = $this->getPresenter()->getUser();
        
        // nacteme sportoviste podle rezervace
        $rezervace = \RezervaceModel::getInstance()->rezervace($id_rezervace);
        $sportoviste = \SportovisteModel::getInstance()->sportoviste($rezervace['id_sportoviste']);;
        
        // vybereme platbu podle sportoviste
        $platby = array("Způsob platby" => \PlatbyModel::getInstance()->selectAllForm($rezervace['id_sportoviste']));
        $this->addSelect('id_platba', 'Způsob platby', $platby);
        
        $this->addCheckbox('faktura','Platba na fakturu');
        
        $this->addCheckbox('karta','Platba kartou');
        
        $this->addHidden('id_rezervace')
                ->setDefaultValue($id_rezervace);
        
	$this->addSubmit('send', 'Prodat')
                ->setAttribute('class','btn btn-success');
	$this->onSuccess[] = array($this, 'formSubmited');
    }

    public function formSubmited($form) {
        
        $data = $form->getValues();
        $id_user = $this->getPresenter()->getUser()->getId();
        
        // načteme data z plateb
        $platby = \PlatbyModel::getInstance()->platba($data['id_platba']);
        
        $zdroj = array(
            'id_prodejce' => $id_user,
            'id_platba'   => $data['id_platba'],
            'cena'        => $platby['value'],
            'karta'       => $data['karta'],
            'faktura'     => $data['faktura']
        );
        
        \RezervaceModel::getInstance()->rezervaceUpd($data['id_rezervace'],$zdroj);
        
        // uložíme transakci do účetnictví
        $zdroj2 = array(
            'id_user' => $id_user,
            'id_rezervace'=> $data['id_rezervace'],
            'id_platba'   => $data['id_platba'],
            'id_areal'    => $this->getPresenter()->id_areal,
            'karta'       => $data['karta'],
            'faktura'     => $data['faktura'],
            'value'       => $platby['value'],
            'datum'       => new \DateTime,
            'nazev'       => $platby['nazev'],
            'mnozstvi'    => 1
        );
        
        \ProdejeModel::getInstance()->prodejAdd($zdroj2);
        
        $this->getPresenter()->flashMessage('Rezervace byla úspěšně potvrzena','success');
        $this->getPresenter()->redirect('this');
        
        
    }

}
