<?php

final class AkceModel extends BaseModel {

    protected static $instance;
    
    // přidá akci
    public function newAkce($data) {
        self::db()->table('akce')->insert($data);
        return self::db()->lastInsertId('id_akce');
    }
    
    // vybere všechny akce
    public function selectAll($id_udalost = null,$rok = null) {
        $filtr = '';
        if(isset($id_udalost)){
            $filtr .= ' AND id_udalost = "'.$id_udalost.'"';
        }
        if(isset($rok)){
            $filtr .= ' AND a.id_akce = t.id_akce AND t.datum > "'.$rok.'-01-01 00:00:00" AND t.datum < "'.$rok.'-12-31 23:59:00"';
        }
        return self::db()->query('SELECT * FROM akce WHERE 1=1 '.$filtr.' ORDER BY nazev ASC')->fetchAll();
    }
    
    // vybere všechny akce pro formulář
    public function selectAllForm($id_udalost = null) {
        $filtr = '';
        if(isset($id_udalost)){
            $filtr .= ' AND id_udalost = "'.$id_udalost.'"';
        }
        return self::db()->query('SELECT id_akce, nazev FROM akce WHERE 1=1 '.$filtr.' ORDER BY nazev ASC')->fetchPairs('id_akce','nazev');
    }
    
    // upraví akci
    public function updateAkce($id_akce,$data){
        return self::db()->query('UPDATE akce SET ? WHERE id_akce = ?', $data, $id_akce);
    }
    
    // vybere akci
    public function selectAkce($id_akce) {
        return self::db()->query('SELECT * FROM akce WHERE id_akce = ?', $id_akce)->fetch();
    }
    
    // odstraní akci
    public function deleteAkce($id_akce) {
        self::db()->query('DELETE FROM akce WHERE id_akce = ?', $id_akce);
        return self::db()->query('DELETE FROM terminy WHERE id_akce = ?', $id_akce);
    }
    
    // vybere akce a seskupí je podle ID události
    public function prehledAkce($od=null,$do=null) {
        $filtr = '';
        if(isset($od)){
            $filtr .= ' AND t.datum > "'.$od.'"';
        }
        if(isset($do)){
            $filtr .= ' AND t.datum < "'.$do.'"';
        }
        return self::db()->query('SELECT *,COUNT(t.id_termin) as pocet_celkem FROM akce a, terminy t WHERE a.id_akce = t.id_akce '.$filtr.' GROUP by a.id_udalost')->fetchAll();
    }
    
    // vloží nové omezení na prodejní místo pro určitou akci
    public function newOmezeni($data){
        return self::db()->table('omezeni_prodeje')->insert($data);
    }

    // odstraní všechny současné omezení prodeje pro konkrétní akci
    public function omezeniDelete($id_akce) {
        return self::db()->query('DELETE FROM omezeni_prodeje WHERE id_akce = ?',$id_akce);
    }
    
    // vybere omezení pro konkrétní akci
    public function selectOmezeniForm($id_akce) {
        return self::db()->query('SELECT o.id_prodejni_misto,p.nazev FROM omezeni_prodeje o,prodejni_mista p WHERE p.id_prodejni_misto = o.id_prodejni_misto AND o.id_akce = ?',$id_akce)->fetchAll();
    }
    
    // ověření, zda je u akce omezení na prodejní místa
    public function omezeniOvereni($id_akce,$id_prodejni_misto) {
        $overeni = self::db()->query('SELECT id_prodejni_misto FROM omezeni_prodeje WHERE id_akce = ?',$id_akce)->fetchAll();
        if(count($overeni)>0){
            $test = 0;
            foreach($overeni as $row){
                if($row['id_prodejni_misto']==$id_prodejni_misto){
                    $test++;
                }
            }
            if($test > 0){
                return TRUE;
            }else{
                return FALSE;
            }
        }else{
            return TRUE;
        }
    }
    
    // vloží nové omezení rezervace na prodejní místo pro určitou akci
    public function newOmezeniRezervace($data){
        return self::db()->table('omezeni_rezervace')->insert($data);
    }

    // odstraní všechny současné omezení rezervace pro konkrétní akci
    public function omezeniRezervaceDelete($id_akce) {
        return self::db()->query('DELETE FROM omezeni_rezervace WHERE id_akce = ?',$id_akce);
    }
    
    // vybere omezení pro konkrétní akci
    public function selectOmezeniRezervaceForm($id_akce) {
        return self::db()->query('SELECT o.id_prodejni_misto,p.nazev FROM omezeni_rezervace o,prodejni_mista p WHERE o.id_akce = ?',$id_akce)->fetchAll();
    }
    
    // ověření, zda je u akce omezení na rezervace
    public function omezeniRezervaceOvereni($id_akce,$id_prodejni_misto) {
        $overeni = self::db()->query('SELECT id_prodejni_misto FROM omezeni_rezervace WHERE id_akce = ?',$id_akce)->fetchAll();
        if(count($overeni)>0){
            $test = 0;
            foreach($overeni as $row){
                if($row['id_prodejni_misto']==$id_prodejni_misto){
                    $test++;
                }
            }
            if($test > 0){
                return TRUE;
            }else{
                return FALSE;
            }
        }else{
            return TRUE;
        }
    }

    public static function getInstance() {
	if (is_null(self::$instance)) {
	    self::$instance = new self();
	}
	return self::$instance;
    }

}

