<?php

final class ArealyModel extends BaseModel {

    protected static $instance;
    protected static $slug;
    
    // nový areál
    public function arealAdd($data) {
        self::db()->table('arealy')->insert($data);
        return self::db()->lastInsertId('id_areal');
    }
    
    // upraví areál
    public function arealUpd($id_areal,$data) {
        self::db()->query('UPDATE arealy SET ? WHERE id_areal = ?',$data,$id_areal);
    }
    
    // odstraní areál
    public function aeralDel($id_areal) {
        self::db()->query('DELETE FROM arealy WHERE id_areal = ?',$id_areal);
    }
    
    // vypíše areál
    public function areal($id_areal) {
        return self::db()->query('SELECT * FROM arealy WHERE id_areal = ?',$id_areal)->fetch();
    }
    
    // vypíše areály
    public function selectAll($offset=null,$limit=null,$sportoviste=null,$order=null) {
         $filter = '';
        if(isSet($offset,$limit)){
            $limit = ' LIMIT '.intval($offset).','.intval($limit);
        } else {
            $limit = '';
        }
        if(isset($sportoviste)) {
            $filter .= ' AND sportoviste = 1';
        }
        if(isset($order)) {
            $order = ' ORDER BY nazev ASC ';
        }else{
            $order = ' ORDER BY poradi ASC ';
        }
	return self::db()->query('SELECT * FROM arealy WHERE 1=1 '.$filter.$order.$limit)->fetchAll();
    }
    
    // vypíše areály pro formulář
    public function selectAllForm() {
        return self::db()->query('SELECT id_areal,nazev FROM arealy ORDER BY nazev ASC')->fetchPairs('id_areal','nazev');
    }
    
    
    // FRIENDLY URL
    static function slugToId($slug) {
        $id = self::db()->query('SELECT id_areal FROM arealy WHERE url = ?',$slug)->fetch();
        return $id['id_areal'];
    }
    
    static function idToSlug($slug) {
        $id = self::db()->query('SELECT url FROM arealy WHERE id_areal = ?',$slug)->fetch();
        return $id['url'];
    }
    
    public static function getInstance() {
	if (is_null(self::$instance)) {
	    self::$instance = new self();
	}
	return self::$instance;
    }

}

?>
