<?php

final class CategoriesModel extends BaseModel {

    protected static $instance;
    
    // nová kategorie
    public function categoryAdd($data) {
        self::db()->table('categories')->insert($data);
        return self::db()->lastInsertId('id_category');
    }
    
    // upraví kategorii
    public function categoryUpd($id_category,$data) {
        self::db()->query('UPDATE categories SET ? WHERE id_category = ?',$data,$id_category);
    }
    
    // odstraní kategorii
    public function categoryDel($id_category) {
        self::db()->query('DELETE FROM categories WHERE id_category = ?',$id_category);
    }
    
    // vypíše kategorii
    public function category($id_category) {
        return self::db()->query('SELECT * FROM categories WHERE id_category = ?',$id_category)->fetch();
    }
    
    // vypíše kategorie
    public function selectAll($offset=null,$limit=null) {
        if(isSet($offset,$limit)){
            $limit = ' LIMIT '.intval($offset).','.intval($limit);
        } else {
            $limit = '';
        }
	return self::db()->query('SELECT * FROM categories ORDER BY id_category DESC'.$limit)->fetchAll();
    }
    
    // vypíše kategorie pro formulář
    public function selectAllForm() {
        return self::db()->query('SELECT id_category, nazev FROM categories ORDER BY nazev ASC')->fetchPairs('id_category','nazev');
    }
    
    public static function getInstance() {
	if (is_null(self::$instance)) {
	    self::$instance = new self();
	}
	return self::$instance;
    }

}

?>
