<?php

final class GaleriesModel extends BaseModel {

    protected static $instance;
    
    // nová galerie
    public function galeryAdd($data) {
        self::db()->table('galeries')->insert($data);
        return self::db()->lastInsertId('id_galery');
    }
    
    // upraví galerii
    public function galeryUpd($id_galery,$data) {
        self::db()->query('UPDATE galeries SET ? WHERE id_galery = ?',$data,$id_galery);
    }
    
    // odstraní galerii a fotky v ní uložené
    public function galeryDel($id_galery) {
        self::db()->query('DELETE FROM galeries WHERE id_galery = ?',$id_galery);
        $pictures = \PicturesModel::getInstance()->selectAll(null,null,$id_galery);
        foreach($pictures as $picture) {
            unlink(WWW_DIR.'/pictures/jpg/'.$picture['id_picture'].'.jpg');
            unlink(WWW_DIR.'/pictures/jpg/'.$picture['id_picture'].'_s.jpg');
        }
        self::db()->query('DELETE FROM pictures WHERE id_galery = ?',$id_galery);
    }
    
    // vypíše galerii
    public function galery($id_galery) {
        return self::db()->query('SELECT * FROM galeries WHERE id_galery = ?',$id_galery)->fetch();
    }
    
    // vypíše galerie
    public function selectAll($offset=null,$limit=null,$id_areal=null) {
        $filter = '';
        if(isSet($offset,$limit)){
            $limit = ' LIMIT '.intval($offset).','.intval($limit);
        } else {
            $limit = '';
        }
        if(isset($id_areal)) {
            $filter .= ' AND id_areal = '.$id_areal;
        }
	return self::db()->query('SELECT * FROM galeries WHERE 1=1 '.$filter.' ORDER BY datum DESC'.$limit)->fetchAll();
    }
    
    // vypíše galerie pro formulář
    public function selectAllForm() {
        return self::db()->query('SELECT id_galery,nazev FROM galeries ORDER BY nazev ASC')->fetchPairs('id_galery','nazev');
    }
    
    public static function getInstance() {
	if (is_null(self::$instance)) {
	    self::$instance = new self();
	}
	return self::$instance;
    }

}

?>
