<?php

final class NewsletterModel extends BaseModel {

    protected static $instance;
    
    // přidá email
    public function newEmail($data) {
        self::db()->table('newsletter')->insert($data);
        return self::db()->lastInsertId('id_newsletter');
    }
    
    // přidá kategorii uživatelů
    public function newKategorie($data) {
        self::db()->table('newsletter_kategorie')->insert($data);
        return self::db()->lastInsertId('id_kategorie');
    }
    
    // přidá spojení uživatel + kategorie
    public function newSpojeni($data) {
        return self::db()->table('newsletter_spojeni')->insert($data);
    }
    
    // upravení kategorie
    public function updateKategorie($id_kategorie,$data) {
        return self::db()->query('UPDATE newsletter_kategorie SET ? WHERE id_kategorie = ?',$data,$id_kategorie);
    }
    
    // vybere email podle id_newsletter
    public function selectEmail($id_newsletter){
        return self::db()->query('SELECT * FROM newsletter WHERE id_newsletter = ?',$id_newsletter)->fetch();
    }
    
    // vypíše uživatele
    public function selectAll($offset=null,$limit=null) {
        if(isSet($offset,$limit)){
            $limit = ' LIMIT '.intval($offset).','.intval($limit);
        } else {
            $limit = '';
        }
	return self::db()->query('SELECT * FROM newsletter ORDER BY jmeno ASC'.$limit)->fetchAll();
    }
    
    // vybere jeden email
    public function newsletter($id_newsletter) {
        return self::db()->query('SELECT * FROM newsletter WHERE id_newsletter = ?', $id_newsletter)->fetch();
    }
    
    // vybere všechny emaily pro formulář
    public function selectAllForm() {
        return self::db()->query('SELECT id_newsletter,CONCAT_WS(" - ",jmeno,email) as cele_jmeno FROM newsletter ORDER BY jmeno ASC')->fetchPairs('id_newsletter','cele_jmeno');
    }
    
    // upravení kategorie
    public function updateNewsletter($data, $id_newsletter) {
        return self::db()->query('UPDATE newsletter SET ? WHERE id_newsletter = ?',$data,$id_newsletter);
    }
    
    // vybere všechny spojení 
    public function selectAllSpojeniForm($id_kategorie=null) {
        $filtr = '';
        if($id_kategorie!=null){
            $filtr .= 'AND n.id_newsletter = s.id_newsletter AND s.id_kategorie = '.$id_kategorie;
        }
        return self::db()->query('SELECT n.id_newsletter,CONCAT_WS(" - ",jmeno,email) as cele_jmeno FROM newsletter n, newsletter_spojeni s WHERE 1=1 '.$filtr.' ORDER BY jmeno ASC')->fetchAll();
    }
    
    // vybere všechny spojení 
    public function selectAllSpojeni() {
        return self::db()->query('SELECT * FROM newsletter')->fetchAll();
    }
    
    // vybere jednu kategorii
    public function selectKategorie($id_kategorie){
        return self::db()->query('SELECT * FROM newsletter_kategorie WHERE id_kategorie = ?',$id_kategorie)->fetch();
    }
    
    // vybere všechny kategorie
    public function selectAllKategorie($id_kategorie=null) {
        $filtr = '';
        if($id_kategorie!=null){
            $filtr = $filtr.' AND id_kategorie = '.$id_kategorie;
        }
        return self::db()->query('SELECT * FROM newsletter_kategorie WHERE 1=1 '.$filtr)->fetchAll();
    }
    
    // vybere všechny kategorie pro formulář
    public function selectAllKategorieForm() {
        return self::db()->query('SELECT id_kategorie,nazev FROM newsletter_kategorie')->fetchPairs('id_kategorie','nazev');
    }
    
    // odstraní email z DB
    public function deleteEmail($email){
        // nejdříve si vytáhneme info o emailu
        $email_info = self::db()->query('SELECT * FROM newsletter WHERE email = ?',$email)->fetch();
        if($email_info['id_newsletter']!=0){
            self::db()->query('DELETE FROM newsletter WHERE id_newsletter = ?',$email_info['id_newsletter']);
            self::db()->query('DELETE FROM newsletter_spojeni WHERE id_newsletter = ?',$email_info['id_newsletter']);
            return TRUE;
        }else{
            return FALSE;
        }
    }
    
    // odstraní kategorii podle id
    public function deleteKategorie($id_kategorie) {
        self::db()->query('DELETE FROM newsletter_kategorie WHERE id_kategorie = ?',$id_kategorie);
    }
    
    // odstraní newsletter podle ID newsletteru
    public function deleteNewsletter($id_newsletter) {
        self::db()->query('DELETE FROM newsletter WHERE id_newsletter = ?',$id_newsletter);
        self::db()->query('DELETE FROM newsletter_spojeni WHERE id_newsletter = ?',$id_newsletter);
    }
    
    // odstraní spojení podle kategorie
    public function deleteByKategorie($id_kategorie) {
        self::db()->query('DELETE FROM newsletter_spojeni WHERE id_kategorie = ?',$id_kategorie);
    }
    
    // ověří, zda je email v DB
    public function overeni($email) {
        $overeni = self::db()->query('SELECT id_newsletter FROM newsletter WHERE email LIKE "?"',$email)->fetchAll();
        if(count($overeni)==0) {
            return TRUE;
        }else{
            return FALSE;
        }
    }
    
    // ověří, zda je email v DB
    public function overEmail($email) {
        $overeni = count(self::db()->query('SELECT id_newsletter FROM newsletter WHERE email = ?',$email)->fetchAll());
        return $overeni;
    }


    public static function getInstance() {
	if (is_null(self::$instance)) {
	    self::$instance = new self();
	}
	return self::$instance;
    }

}

