<?php

final class PlatbyModel extends BaseModel {

    protected static $instance;
    
    // nová platba
    public function platbaAdd($data) {
        self::db()->table('platby')->insert($data);
        return self::db()->lastInsertId('id_platba');
    }
    
    // upraví platbu
    public function platbaUpd($id_platba,$data) {
        self::db()->query('UPDATE platby SET ? WHERE id_platba = ?',$data,$id_platba);
    }
    
    // odstraní platbu
    public function platbaDel($id_platba) {
        self::db()->query('DELETE FROM platby WHERE id_platba = ?',$id_platba);
    }
    
    // vypíše platbu
    public function platba($id_platba) {
        return self::db()->query('SELECT * FROM platby WHERE id_platba = ?',$id_platba)->fetch();
    }
    
    // vypíše platby
    public function selectAll($offset=null,$limit=null,$id_sportoviste=null,$id_areal=null) {
        if(isSet($offset,$limit)){
            $limit = ' LIMIT '.intval($offset).','.intval($limit);
        } else {
            $limit = '';
        }
        if(isset($id_sportoviste)){
            $id_sportoviste = ' AND id_sportoviste = '.$id_sportoviste;
        }
        if(isset($id_areal)){
            $id_areal = ' AND id_areal = '.$id_areal;
        }
	return self::db()->query('SELECT * FROM platby WHERE 1=1 '.$id_sportoviste.$id_areal.' ORDER BY nazev ASC'.$limit)->fetchAll();
    }
    
    // vypíše platby pro formulář
    public function selectAllForm($id_sportoviste = null,$id_areal = null) {
        if(isset($id_sportoviste)){
            $id_sportoviste = ' AND id_sportoviste = '.$id_sportoviste;
        }
        if(isset($id_areal)) {
            $id_areal = ' AND id_areal = '.$id_areal;
        }
        return self::db()->query('SELECT id_platba,CONCAT_WS(" - ",nazev,value) as cely_nazev FROM platby WHERE 1=1 '.$id_sportoviste.$id_areal.' ORDER BY nazev ASC')->fetchPairs('id_platba','cely_nazev');
    }
    
    
    // nový export
    public function exportAdd($data) {
        self::db()->table('export')->insert($data);
        return self::db()->lastInsertId('id_export');
    }
    
    // vypíše exporty
    public function  exportList($limit = 10) {
        return self::db()->query('SELECT * FROM export ORDER BY id_export DESC LIMIT '.$limit)->fetchAll();
    }
    
    // odstraní export
    public function exportDel($id_export) {
        return self::db()->query('DELETE FROM export WHERE id_export = ?',$id_export);
    }

    // stornuje prodej (= nastaví nulový prodej + označí záznam
    public function storno($id_rezervace,$id_storner) {
        $zdroj = array(
            'id_prodejce' => 0,
            'id_platba'   => 0,
            'cena'        => 0,
            'storno'      => $id_storner
        );
        return self::db()->query('UPDATE rezervace SET ? WHERE id_rezervace = ?',$zdroj,$id_rezervace);
    }
    
    
    public static function getInstance() {
	if (is_null(self::$instance)) {
	    self::$instance = new self();
	}
	return self::$instance;
    }

}

?>
