<?php

final class ProdejeModel extends BaseModel {

    protected static $instance;
    
    // nový prodej
    public function prodejAdd($data) {
        self::db()->table('prodeje')->insert($data);
        return self::db()->lastInsertId('id_prodej');
    }
    
    // upraví prodej
    public function prodejUpd($id_prodej,$data) {
        self::db()->query('UPDATE prodeje SET ? WHERE id_prodej = ?',$data,$id_prodej);
    }
    
    // odstraní prodej
    public function prodejDel($id_prodej) {
        self::db()->query('DELETE FROM prodeje WHERE id_prodej = ?',$id_prodej);
    }
    
    // vypíše prodej
    public function prodej($id_prodej) {
        return self::db()->query('SELECT * FROM prodeje WHERE id_prodej = ?',$id_prodej)->fetch();
    }
    
    // vypíše prodeje
    public function selectAll($offset=null,$limit=null,$id_user=null,$karta=null,$faktura=null) {
        $filter = '';
        if(isSet($offset,$limit)){
            $limit = ' LIMIT '.intval($offset).','.intval($limit);
        } else {
            $limit = '';
        }
        if(isset($id_user)) {
            $filter .= ' AND id_user = '.$id_user;
        }
        if(isset($karta)) {
            if($karta == 1) {
                $filter .= ' AND karta = 1';
            }else{
                $filter .= ' AND karta = 0';
            }
        }
        if(isset($faktura)) {
            if($faktura == 1) {
                $filter .= ' AND faktura = 1';
            }else{
                $filter .= ' AND faktura = 0';
            }
        }
	return self::db()->query('SELECT * FROM prodeje WHERE 1=1 '.$filter.' ORDER BY id_prodej DESC'.$limit)->fetchAll();
    }
    
    // vypíše platby uživatele
    public function selectTransakce($id_prodejce=null,$id_areal=null,$od=null,$do=null,$karta=null,$faktura=null,$hotovost=null) {
        $filter = '';
        if(isset($id_prodejce)) {
            $filter .= ' AND id_user = "'.$id_prodejce.'"';
        }
        if(isset($id_areal)) {
            $filter .= ' AND id_areal = "'.$id_areal.'"';
        }
        if(isset($od)) {
            $filter .= ' AND datum > "'.$od.'"';
        }
        if(isset($do)) {
            $filter .= ' AND datum < "'.$do.'"';
        }
        if(isset($karta)) {
            if($karta == 1) {
                $filter .= ' AND karta = 1';
            }else{
                $filter .= ' AND karta = 0';
            }
        }
        if(isset($faktura)) {
            if($faktura == 1) {
                $filter .= ' AND faktura = 1';
            }else{
                $filter .= ' AND faktura = 0';
            }
        }
        return self::db()->query('SELECT id_areal,nazev,SUM(mnozstvi),SUM(value),karta,faktura FROM prodeje WHERE 1=1 '.$filter.' GROUP BY nazev')->fetchAll();
    }
    
    // vypíše platby uživatele DETAILNĚ
    public function selectTransakceDetail($id_prodejce=null,$id_areal=null,$od=null,$do=null,$karta=null,$faktura=null,$hotovost=null) {
        $filter = '';
        if(isset($id_prodejce)) {
            $filter .= ' AND id_user = "'.$id_prodejce.'"';
        }
        if(isset($id_areal)) {
            $filter .= ' AND id_areal = "'.$id_areal.'"';
        }
        if(isset($od)) {
            $filter .= ' AND datum > "'.$od.'"';
        }
        if(isset($do)) {
            $filter .= ' AND datum < "'.$do.'"';
        }
        if(isset($karta)) {
            $filter .= ' AND karta = 1';
        }
        if(isset($faktura)) {
            $filter .= ' AND faktura = 1';
        }
        if(isset($hotovost)) {
            $filter .= ' AND faktura = 0 AND karta = 0';
        }
        return self::db()->query('SELECT id_areal,id_prodej,id_rezervace,nazev,value,datum,mnozstvi,karta,faktura FROM prodeje WHERE 1=1 '.$filter.' ORDER BY datum DESC')->fetchAll();
    }
    
    // vypíše souhrnné platby prodejců
    public function selectTransakceUsers($od=null,$do=null) {
        $filter = '';
        if(isset($od)) {
            $filter .= ' AND datum > "'.$od.'"';
        }
        if(isset($do)) {
            $filter .= ' AND datum < "'.$do.'"';
        }
        return self::db()->query('SELECT id_user,id_areal,id_prodej,nazev,SUM(value),datum,karta,faktura FROM prodeje WHERE 1=1 '.$filter.' GROUP BY id_user')->fetchAll();
    }
    
    
    
    public static function getInstance() {
	if (is_null(self::$instance)) {
	    self::$instance = new self();
	}
	return self::$instance;
    }

}

?>
