<?php

final class RezervaceModel extends BaseModel {

    protected static $instance;
    protected static $slug;
    
    // nová rezervace
    public function rezervaceAdd($data) {
        self::db()->table('rezervace')->insert($data);
        return self::db()->lastInsertId('id_rezervace');
    }
    
    // upraví rezervaci
    public function rezervaceUpd($id_rezervace,$data) {
        self::db()->query('UPDATE rezervace SET ? WHERE id_rezervace = ?',$data,$id_rezervace);
    }
    
    // odstraní rezervaci
    public function rezervaceDel($id_rezervace) {
        $rezervace = \RezervaceModel::getInstance()->rezervace($id_rezervace);
        if($rezervace['hash']!='') {
            self::db()->query('DELETE FROM rezervace WHERE hash = ?',$rezervace['hash']);
        }else{
            self::db()->query('DELETE FROM rezervace WHERE id_rezervace = ?',$id_rezervace);
        }
    }
    
    // vypíše rezervace
    public function rezervace($id_rezervace) {
        return self::db()->query('SELECT * FROM rezervace WHERE id_rezervace = ?',$id_rezervace)->fetch();
    }
    
    // zkontroluje, zda je termin obsazeny
    public function kontrola($id_cas,$datum) {
        $test = self::db()->query('SELECT id_cas,id_prodejce,cela_plocha FROM rezervace WHERE id_cas = ? AND datum = ?',$id_cas,$datum)->fetchAll();
        if(count($test)>0){
            if(count($test)>2) {
                return 'obsazene_mega';
            }else{
                foreach($test as $test1) {
                    if($test1['id_prodejce'] == 0) {
                        if($test1['cela_plocha']==1) {
                            return 'obsazene_mega';
                        }else{
                            return 'rezervovane';
                        }
                    }else{
                         return 'obsazene';
                    }
                }
            }
        }else{
            return '';
        }
    }
    
    // zkontroluje zda je termín již zarezervovaný
    public function kontrola2($id_cas,$datum) {
        $test = self::db()->query('SELECT id_cas FROM rezervace WHERE id_cas = ? AND datum = ?',$id_cas,$datum)->fetchAll();
        if(count($test)>0){
            return TRUE;
        }else{
            return FALSE;
        }
    }
    
    // vypíše údaje do tooltipu
    public function tooltip($id_cas,$datum) {
        $test = self::db()->query('SELECT jmeno FROM rezervace WHERE id_cas = ? AND datum = ?',$id_cas,$datum)->fetchAll();
        if(count($test)>0){
            $jmeno = '';
            // v případě více událostí na multifunkční ploše
            if(count($test)>1) {
                foreach($test as $item) {
                    $jmeno .= $item['jmeno'].' ';
                }
            }else{
            $test2 = self::db()->query('SELECT jmeno,id_user FROM rezervace WHERE id_cas = ? AND datum = ?',$id_cas,$datum)->fetch();
            // standardní výpis
                if($test2['id_user']!=0){
                    $user  = \UserModel::getInstance()->user($test2['id_user']);
                    $jmeno = $user['prijmeni'].' '.$user['jmeno'];
                }else{
                    $jmeno = $test2['jmeno'];
                }
            }
            return $jmeno;
        }else{
            return FALSE;
        }
    }
    
    // vypíše rezervace
    public function selectAll($offset=null,$limit=null,$id_sportoviste=0,$od=null,$do=null,$id_user=null,$prodane=null,$id_prodejce=null,$id_spravce=null) {
        $filter = '';
        if(isSet($offset,$limit)){
            $limit = ' LIMIT '.intval($offset).','.intval($limit);
        } else {
            $limit = '';
        }
        if($id_sportoviste!=0) {
            $filter .= ' AND id_sportoviste = '.$id_sportoviste;
        }
        if(isset($od)) {
            $filter .= ' AND datum >= "'.$od.'"';
        }
        if(isset($do)) {
            $filter .= ' AND datum <= "'.$do.'"';
        }
        if(isset($id_user)) {
            $filter .= ' AND id_user = '.$id_user;
        }
        if(isset($prodane)) {
            if($prodane==0) {
                $filter .= ' AND id_prodejce = 0';
            }else{
                $filter .= ' AND id_prodejce != 0';
            }
        }
        if(isset($id_prodejce)) {
            $filter .= ' AND id_prodejce = '.$id_prodejce;
        }
        if(isset($id_spravce)) {
            $filter .= ' AND id_spravce = '.$id_spravce;
        }
	return self::db()->query('SELECT * FROM rezervace WHERE duplicita = 0  '.$filter.' ORDER BY datum,id_cas ASC'.$limit)->fetchAll();
    }
    
    public function selectAllMojeRezervace($offset=null,$limit=null,$od=null,$do=null,$id_user=null,$id_spravce=null) {
        $filter = '';
        if(isSet($offset,$limit)){
            $limit = ' LIMIT '.intval($offset).','.intval($limit);
        } else {
            $limit = '';
        }
        if(isset($od)) {
            $filter .= ' AND datum >= "'.$od.'"';
        }
        if(isset($do)) {
            $filter .= ' AND datum <= "'.$do.'"';
        }
        if(isset($id_user)) {
            $filter .= ' AND id_user = '.$id_user;
        }
        if(isset($id_spravce)){
            $filter .= ' AND id_spravce = '.$id_spravce;
        }
        return self::db()->query('SELECT * FROM rezervace WHERE duplicita = 0 '.$filter.' ORDER BY datum DESC')->fetchAll();
    }
    public static function getInstance() {
	if (is_null(self::$instance)) {
	    self::$instance = new self();
	}
	return self::$instance;
    }
    
    
    // vytvoření omezení prodeje
    public function newOmezeni($data) {
        self::db()->table('d_omezeni')->insert($data);
    }

    // odstranění všech omezení u uživatele
    public function deleteOmezeni($id_user) {
        self::db()->query('DELETE FROM d_omezeni WHERE id_user = ?',$id_user);
    }
    
    // vybere ID areálů pro formulář
    public function selectOmezeniForm($id_user) {
        return self::db()->query('SELECT id_user,id_areal FROM d_omezeni WHERE id_user = ?',$id_user)->fetchAll();
    }
    
    // ověření omezení
    public function overeniOmezeni($id_user,$id_areal) {
        $global = self::db()->query('SELECT id_omezeni FROM d_omezeni WHERE id_user = ?',$id_user)->fetchAll();
        if(count($global)>0) {
            $test = self::db()->query('SELECT id_omezeni FROM d_omezeni WHERE id_user = ? AND id_areal = ?',$id_user,$id_areal)->fetchAll();
            if(count($test)>0) {
                return TRUE;
            }else{
                return FALSE;
            }
        }else{
            return TRUE;
        }
    }
    
    // rezervace vedlejší plocha -> hlavní plocha
    public function rezervaceVedlHlav($id_cas,$zdroj) {
        $cas = \CasyModel::getInstance()->cas($id_cas);
        $sportoviste_zdroj = \SportovisteModel::getInstance()->sportoviste($zdroj['id_sportoviste']);
        unset($zdroj['id_sportoviste']);
        $sportoviste_hlavni = \SportovisteModel::getInstance()->db()->query('SELECT * FROM sportoviste WHERE hlavni = 1')->fetchAll();
        foreach($sportoviste_hlavni as $sportoviste) {
            $cas2 = \CasyModel::getInstance()->db()->query('SELECT * FROM casy WHERE nazev = "'.$cas['nazev'].'" AND id_sportoviste = '.$sportoviste['id_sportoviste'])->fetch();
            $zdroj['id_sportoviste'] = $sportoviste['id_sportoviste'];
            $zdroj['id_cas']         = $cas2['id_cas'];
            $zdroj['duplicita']      = 1;
            $zdroj['jmeno']          = $sportoviste_zdroj['nazev'];
            $zdroj['id_prodejce']    = 0;
            $zdroj['id_platba']      = 0;
            $zdroj['cena']           = 0;
            $zdroj['id_user']        = 0;
            \RezervaceModel::getInstance()->rezervaceAdd($zdroj);
        }
    }
    
    // rezervace hlavní plocha -> vedlejší plocha
    public function rezervaceHlavVedl($id_cas,$zdroj) {
        $cas = \CasyModel::getInstance()->cas($id_cas);
        $sportoviste_zdroj = \SportovisteModel::getInstance()->sportoviste($zdroj['id_sportoviste']);
        unset($zdroj['id_sportoviste']);
        $sportoviste_hlavni = \SportovisteModel::getInstance()->db()->query('SELECT * FROM sportoviste WHERE vedlejsi = 1')->fetchAll();
        foreach($sportoviste_hlavni as $sportoviste) {
            $cas2 = \CasyModel::getInstance()->db()->query('SELECT * FROM casy WHERE nazev = "'.$cas['nazev'].'" AND id_sportoviste = '.$sportoviste['id_sportoviste'])->fetch();
            $zdroj['id_sportoviste'] = $sportoviste['id_sportoviste'];
            $zdroj['id_cas']         = $cas2['id_cas'];
            $zdroj['duplicita']      = 1;
            $zdroj['jmeno']          = $sportoviste_zdroj['nazev'];
            $zdroj['id_prodejce']    = 0;
            $zdroj['id_platba']      = 0;
            $zdroj['cena']           = 0;
            $zdroj['id_user']        = 0;
            \RezervaceModel::getInstance()->rezervaceAdd($zdroj);
        }
    }
    
}

?>
