<?php

final class SportovisteModel extends BaseModel {

    protected static $instance;
    
    // nové sportoviste
    public function sportovisteAdd($data) {
        self::db()->table('sportoviste')->insert($data);
        return self::db()->lastInsertId('id_sportoviste');
    }
    
    // upraví sportoviště
    public function sportovisteUpd($id_sportoviste,$data) {
        self::db()->query('UPDATE sportoviste SET ? WHERE id_sportoviste = ?',$data,$id_sportoviste);
    }
    
    // odstraní sportoviště
    public function sportovisteDel($id_sportoviste) {
        self::db()->query('DELETE FROM sportoviste WHERE id_sportoviste = ?',$id_sportoviste);
    }
    
    // vypíše sportoviště
    public function sportoviste($id_sportoviste) {
        return self::db()->query('SELECT * FROM sportoviste WHERE id_sportoviste = ?',$id_sportoviste)->fetch();
    }
    
    // vypíše sportoviště
    public function selectAll($offset=null,$limit=null,$id_areal=null) {
        if(isSet($offset,$limit)){
            $limit = ' LIMIT '.intval($offset).','.intval($limit);
        } else {
            $limit = '';
        }
        if(isset($id_areal)){
            $id_areal = ' AND id_areal = '.$id_areal;
        }
	return self::db()->query('SELECT * FROM sportoviste WHERE 1=1 '.$id_areal.' ORDER BY nazev ASC'.$limit)->fetchAll();
    }
    
    // vypíše sportoviště pro formulář
    public function selectAllForm() {
        return self::db()->query('SELECT id_sportoviste,nazev FROM sportoviste ORDER BY nazev ASC')->fetchPairs('id_sportoviste','nazev');
    }
    
    // vybere jedno sportoviště z areálu
    public function sportovisteAreal($id_areal) {
        return self::db()->query('SELECT id_sportoviste FROM sportoviste WHERE id_areal = ? LIMIT 1',$id_areal)->fetch();
    }
    
    public static function getInstance() {
	if (is_null(self::$instance)) {
	    self::$instance = new self();
	}
	return self::$instance;
    }
    
}

?>
