<?php

final class UctoModel extends BaseModel {

    protected static $instance;
    
    // nová transakce
    public function transakceAdd($data) {
        self::db()->table('d_transakce')->insert($data);
        return self::db()->lastInsertId('id_transakce');
    }
    
    // upraví transakci
    public function transakceUpd($id_transakce,$data) {
        self::db()->query('UPDATE d_transakce SET ? WHERE id_transakce = ?',$data,$id_transakce);
    }
    
    // odstraní transakci
    public function transakceDel($id_transakce) {
        self::db()->query('DELETE FROM d_transakce WHERE id_transakce = ?',$id_transakce);
    }
    
    // vypíše transakci
    public function transakce($id_transakce) {
        return self::db()->query('SELECT * FROM d_transakce WHERE id_transakce = ?',$id_transakce)->fetch();
    }
    
    // vypíše transakce
    public function selectAll($offset=null,$limit=null,$id_prodejce=null) {
        if(isSet($offset,$limit)){
            $limit = ' LIMIT '.intval($offset).','.intval($limit);
        } else {
            $limit = '';
        }
        if(isset($id_prodejce)){
            $id_prodejce = ' AND id_prodejce = '.$id_prodejce;
        }
	return self::db()->query('SELECT * FROM d_transakce WHERE 1=1 '.$id_prodejce.' ORDER BY id_transakce DESC'.$limit)->fetchAll();
    }
    
    // vypíše prodejce
    public function selectProdejci() {
        return self::db()->query('SELECT * FROM d_users WHERE id_role = 1 OR id_role = 4 ORDER BY prijmeni ASC')->fetchAll();
    }
    
    // tržby prodejce
    public function selectTrzby($id_prodejce,$karta=null,$faktura=null) {
        $filter = '';
        if(isset($karta)) {
            if($karta == 1) {
                $filter .= ' AND karta = 1';
            }else{
                $filter .= ' AND karta = 0';
            }
        }
        if(isset($faktura)) {
            if($faktura == 1) {
                $filter .= ' AND faktura = 1';
            }else{
                $filter .= ' AND faktura = 0';
            }
        }
        $trzby = self::db()->query('SELECT SUM(value) FROM prodeje WHERE id_user = ?'.$filter,$id_prodejce)->fetch();
        return $trzby['SUM(value)'];
    }
    
    // transakce prodejce (ty co již zaplatil)
    public function selectTransakce($id_prodejce) {
        $transakce = self::db()->query('SELECT SUM(value) FROM d_transakce WHERE id_prodejce = ?',$id_prodejce)->fetch();
        return $transakce['SUM(value)'];
    }
    
    // odstraní transakci podle ID rezervace (= když prodejce zruší prodej pod rezervací)
    public function deleteByRezervace($id_rezervace) {
        self::db()->query('DELETE FROM prodeje WHERE id_rezervace = ?',$id_rezervace);
    }
    
    
    public static function getInstance() {
	if (is_null(self::$instance)) {
	    self::$instance = new self();
	}
	return self::$instance;
    }

}

?>
