<?php

final class UdalostiModel extends BaseModel {

    protected static $instance;
    
    // přidá událost
    public function newUdalost($data) {
        self::db()->table('udalosti')->insert($data);
    }
    
    // vybere všechny události
    public function selectAll() {
        return self::db()->query('SELECT * FROM udalosti ORDER BY id_udalost ASC')->fetchAll();
    }
    
    // vybere všechny události bez kina
    public function selectAllBezKina() {
        return self::db()->query('SELECT * FROM udalosti WHERE id_udalost != 1 ORDER BY id_udalost ASC')->fetchAll();
    }
    
    // vybere všechny události pro formulář
    public function selectAllForm() {
        return self::db()->query('SELECT id_udalost, nazev FROM udalosti ORDER BY nazev ASC')->fetchPairs('id_udalost','nazev');
    }
    
    // upraví událost
    public function updateUdalost($id_udalost,$data){
        return self::db()->query('UPDATE udalosti SET ? WHERE id_udalost = ?', $data, $id_udalost);
    }
    
    // vybere událost
    public function selectUdalost($id_udalost) {
        return self::db()->query('SELECT * FROM udalosti WHERE id_udalost = ?', $id_udalost)->fetch();
    }
    
    // odstraní událost
    public function deleteUdalost($id_udalost) {
        return self::db()->query('DELETE FROM udalosti WHERE id_udalost = ?', $id_udalost);
    }
    
    // select by datum
    public function selectByDatum($od=null,$do=null) {
        $filtr = '';
        if(isset($od)){
            $filtr .= ' AND datum > "'.$od.'"';
        }
        if(isset($do)){
            $filtr .= ' AND datum < "'.$do.'"';
        }
        return self::db()->query('SELECT *,COUNT(t.id_akce) as udalosti_celkem FROM akce a, terminy t WHERE a.id_akce = t.id_akce '.$filtr.' GROUP BY a.id_udalost')->dump();
        
    }
    
    public static function getInstance() {
	if (is_null(self::$instance)) {
	    self::$instance = new self();
	}
	return self::$instance;
    }

}

