<?php

final class UserModel extends BaseModel {

    protected static $instance;
    
    // úprava uživatele
    public function updateUser($id_user,$data) {
	self::db()->query('UPDATE d_users SET ? WHERE id_user = ?',$data,$id_user);
    }
    
    // přidá uživatele
    public function newUser($data) {
	self::db()->table('d_users')->insert($data);
        return self::db()->lastInsertId('id_user');
    }

    // odstraní uživatele
    public function deleteUser($id) {
	return self::db()->exec('DELETE FROM d_users WHERE id_user = ?', $id);
    }
    
    // vytvoří seznam rolí pro formulář
    public function selectRole() {
	return self::db()->query('SELECT id_role,description FROM d_roles ')->fetchPairs('id_role', 'description');
    }
    
    // vypíše roli
    public function role($id_role) {
        return self::db()->query('SELECT * FROM d_roles WHERE id_role = ?',$id_role)->fetch();
    }
    
    // ověří email a heslo
    public function logIn($email, $password) {
	$password = md5($password);
	return self::db()->query('SELECT id_user, email, description AS role, jmeno, prijmeni, active FROM d_users u, d_roles r WHERE email = "'.$email.'" AND password = "'.$password.'" AND u.id_role=r.id_role')->fetch();
    }

    // vypíše detail uživatele
    public function user($id_user) {
	return self::db()->query('SELECT * FROM d_users u, d_roles r WHERE u.id_user = ? AND u.id_role=r.id_role', $id_user)->fetch();
    }
    
    // vypíše detail uživatele podle e-mailu
    public function userByEmail($email) {
        return self::db()->query('SELECT *  FROM d_users u, d_roles r WHERE u.email = ? AND u.id_role=r.id_role', $email)->fetch();
    }
    
    // vypíše uživatele
    public function listUser($offset=null,$limit=null,$id_role=null) {
        if(isSet($offset,$limit)){
            $limit = ' LIMIT '.intval($offset).','.intval($limit);
        } else {
            $limit = '';
        }
        $role = '';
        if(isset($id_role)) {
            $role = ' AND u.id_role = "'.$id_role.'"';
        }
	return self::db()->query('SELECT *,description AS role FROM d_users u, d_roles r WHERE u.id_role=r.id_role '.$role.' ORDER BY u.prijmeni ASC'.$limit)->fetchAll();
    }
    
    // ověří, zda je email unikátní
    public function isLoginUnique($email) {
        if (self::db()->query('SELECT id_user FROM d_users WHERE email = ?', $email)->fetch() == FALSE)
		return TRUE;
	return FALSE;
    }
    
    // vypíše uživatele pro formulář
    public function selectAllForm($prodejci=null) {
        $filtr = '';
        if($prodejci!=null){
            $filtr .= ' AND id_role = 1 OR id_role = 4';
        }
        return self::db()->query("SELECT id_user, CONCAT_WS(' ', prijmeni, jmeno) as cele_jmeno FROM d_users WHERE 1=1 ".$filtr." ORDER BY prijmeni ASC")->fetchPairs('id_user','cele_jmeno');
    }
    
    
    // vypíše role pro formulář
    public function selectAllRoleForm() {
        return self::db()->query("SELECT id_role, description FROM d_roles ORDER BY id_role ASC")->fetchPairs('id_role','description');
    }
    
    // vyhledávání v uživatelích podle řetězce
    public function search($query) {
        return self::db()->query('SELECT * FROM d_users WHERE jmeno LIKE "%'.$query.'%" OR prijmeni LIKE "%'.$query.'%" OR email LIKE "%'.$query.'%" OR id_user LIKE "%'.$query.'%" ORDER BY prijmeni ASC')->fetchAll();
    }
    
    // ověření hashe z emailu
    public function overHash($hash) {
        return self::db()->query('UPDATE d_users SET overen = 1, hash = "" WHERE hash = ?',$hash);
    }
    
    public static function getInstance() {
	if (is_null(self::$instance)) {
	    self::$instance = new self();
	}
	return self::$instance;
    }

}

?>
