<?php

use Nette\Web\User;
use Nette\Environment;
use Nette\Mail\Message;
use Nette\String;
use Nette\Mail\Mail;

class ArealPresenter extends BasePresenter {
    
    /** @persistent */
    public $id_areal;
    public $areal;
    
    public function startup() {
	parent::startup();
        
        $areal = \ArealyModel::getInstance()->areal($this->id_areal);
        $areal['rezervace-pocet'] = count(\SportovisteModel::getInstance()->selectAll(null,null,$this->id_areal));
        $areal['menu']    = \PagesModel::getInstance()->selectAll(null,null,null,$areal['id_areal']);
        $areal['rozvrhy'] = count(\RozvrhyModel::getInstance()->selectALl(null,null,$this->id_areal));
        $areal['ceniky']  = count(\CenikyModel::getInstance()->selectAllKat($this->id_areal));
        $this->template->areal = $areal;
        $this->areal = $areal;
        
        $bannery = \BanneryModel::getInstance()->selectAll(null,null,1,0);
        foreach($bannery as $key => $banner) {
                $termin = \TerminyModel::getInstance()->selectTermin($banner['id_termin']);
                $bannery[$key]['termin'] = $termin;
                $bannery[$key]['akce']   = \AkceModel::getInstance()->selectAkce($termin['id_akce']);
                $bannery[$key]['datumer']  = $this->datum2($termin['datum']);
            }
        $this->template->bannery  = $bannery;
        
        // SESSIONS
        if($areal['hlaska']!=''){
            $session = $this->getSession('hlaska'.$areal['id_areal']);
            if($session->hlaska != 1) {
                $this->template->hlaska = $areal['hlaska'];
            }
            $session->hlaska=1;
            $session->setExpiration(0, 'hlaska');
        }
        
    }
    
    // úvodní stránka areálu
    public function actionAreal($id_areal) {
        $articles = \ArticlesModel::getInstance()->selectAll(0,5,$this->id_areal);
        foreach ($articles as $key => $article) {
            if(file_exists("pictures/jpg/n_".$article['id_article'].".jpg")) {
                $articles[$key]['picture'] = 1;
            }
            $articles[$key]['areal'] = \ArealyModel::getInstance()->areal($article['id_areal']);
        }
        $this->template->novinky = $articles;
        
        // KINO - program kina
        if($this->areal['kino']==1) {
            $datum = date('Y-m-d H:i');
            $terminy = \TerminyModel::getInstance()->selectAllAdmin(0,6,$datum,null,1);
            foreach($terminy as $key => $termin) {
                $terminy[$key]['den'] = $this->datum2($termin['datum'],1);
            }
            $this->template->terminy = $terminy;
            $bannery_kino = \BanneryModel::getInstance()->selectAll(null,null,1,1);
            foreach($bannery_kino as $key => $banner) {
                $termin = \TerminyModel::getInstance()->selectTermin($banner['id_termin']);
                $bannery_kino[$key]['termin'] = $termin;
                $bannery_kino[$key]['akce']   = \AkceModel::getInstance()->selectAkce($termin['id_akce']);
                $bannery_kino[$key]['datumer']  = $this->datum2($termin['datum']);
            }
            $this->template->bannery_kino  = $bannery_kino;
        }
        
        // DŮM KULTURY - program
        if($this->areal['dk']==1) {
            $datum = date('Y-m-d H:i');
            $terminy = \TerminyModel::getInstance()->selectAllBezKina(0,6,$datum);
            foreach($terminy as $key => $termin) {
                $terminy[$key]['den'] = $this->datum2($termin['datum'],1);
            }
            $this->template->terminy = $terminy;
        }
        
        // DIVADELNÍ SOUBOR - program
        if($this->areal['dsrbk']==1) {
            $datum = date('Y-m-d H:i');
            $terminy = \TerminyModel::getInstance()->selectAllDsrbk(0,6,$datum);
            foreach($terminy as $key => $termin) {
                $terminy[$key]['den'] = $this->datum2($termin['datum'],1);
            }
            $this->template->terminy = $terminy;
        }
        
    }
    
    // odstraní transakci
    public function actionTransakceDel($id_transakce) {
        \UctoModel::getInstance()->transakceDel($id_transakce);
        $this->flashMessage('Transakce byla úspěšně odstraněna','success');
        $this->redirect('Areal:transakce');
    }
    
    // odstraní transakci
    public function handleTransakceDel($id_prodej) {
        \ProdejeModel::getInstance()->prodejDel($id_prodej);
        $this->flashMessage('Prodej byl úspěšně odstraněn','success');
    }
    
    // novinky z areálu
    public function actionNovinky() {
        $vp        = new \VisualPaginator($this,'vp');
        $paginator = $vp->getPaginator();
        $paginator->itemsPerPage = 8;
        $paginator->itemCount = count(\ArticlesModel::getInstance()->selectAll(null,null,$this->id_areal));
        $articles = \ArticlesModel::getInstance()->selectAll($paginator->offset,$paginator->itemsPerPage,$this->id_areal);
        foreach ($articles as $key => $article) {
            if(file_exists("pictures/jpg/n_".$article['id_article'].".jpg")) {
                $articles[$key]['picture'] = 1;
            }
            $articles[$key]['areal'] = \ArealyModel::getInstance()->areal($article['id_areal']);
        }
        $this->template->novinky = $articles;
    }
    
    // vypíše novinku
    public function actionNovinka($id_novinka,$id_areal) {
        $novinka = \ArticlesModel::getInstance()->article($id_novinka);
        if($novinka['id_galery']!=0) {
            $novinka['pictures'] = \PicturesModel::getInstance()->selectAll(null,null,$novinka['id_galery']);
        }
        $areal   = \ArealyModel::getInstance()->areal($novinka['id_areal']);
        $this->template->novinka = $novinka;
    }
    
    // fotogalerie
    public function actionFoto() {
        $galeries = \GaleriesModel::getInstance()->selectAll(null,null,$this->id_areal);
        foreach ($galeries as $key => $galery) {
            $picture = \PicturesModel::getInstance()->selectAll(0,1,$galery['id_galery']);
            $galeries[$key]['picture'] = $picture[0];
        }
        $this->template->galeries = $galeries;
    }
    
    // konkrétní galerie
    public function actionGalerie($id_galery) {
        $this->template->galery   = \GaleriesModel::getInstance()->galery($id_galery);
        $this->template->pictures = \PicturesModel::getInstance()->selectAll(null,null,$id_galery);
    }
    
    // rozvrh areálu
    public function actionRozvrh() {
        $rozvhry = \RozvrhyModel::getInstance()->selectAll(null,null,$this->id_areal);
        $this->template->rozvrhy = $rozvhry;
    }
    
    // ceník
    public function actionCenik() {
        $ceniky = \CenikyModel::getInstance()->selectAllKat($this->id_areal);
        foreach($ceniky as $key => $cenik) {
            $ceniky[$key]['polozky'] = \CenikyModel::getInstance()->selectAll($cenik['id_kategorie']);
        }
        $this->template->ceniky = $ceniky;
    }
    
    // export rozvrh do PDF
    public function actionRozvrhPDF($id_rozvrh) {
        include LIBS_DIR.'/fpdf/fpdf.php';
        
        $rozvrh = \RozvrhyModel::getInstance()->rozvrh($id_rozvrh);
            
            // ROZVRH
            $pdf=new FPDF();
            $pdf->SetTopMargin(0);
            $pdf->AddPage();
            $pdf->AddFont('Arialb','','arialb.php');

            $pdf->SetFont('Arialb','',14);
            $pdf->Cell(0,10,'',0,2);
            $pdf->Cell(0, 20, iconv('UTF-8','WINDOWS-1250',$rozvrh['nazev']),0,2);

            $pdf->SetFont('Arialb','',10);
            $pdf->Cell(35, 10, iconv('UTF-8','WINDOWS-1250','Pondělí'),1,0);
            $pdf->Cell(0, 10, iconv('UTF-8','WINDOWS-1250',$rozvrh['pondeli']),1,1);
            
            $pdf->SetFont('Arialb','',10);
            $pdf->Cell(35, 10, iconv('UTF-8','WINDOWS-1250','Úterý'),1,0);
            $pdf->Cell(0, 10, iconv('UTF-8','WINDOWS-1250',$rozvrh['utery']),1,1);
            
            $pdf->SetFont('Arialb','',10);
            $pdf->Cell(35, 10, iconv('UTF-8','WINDOWS-1250','Středa'),1,0);
            $pdf->Cell(0, 10, iconv('UTF-8','WINDOWS-1250',$rozvrh['streda']),1,1);
            
            $pdf->SetFont('Arialb','',10);
            $pdf->Cell(35, 10, iconv('UTF-8','WINDOWS-1250','Čtvrtek'),1,0);
            $pdf->Cell(0, 10, iconv('UTF-8','WINDOWS-1250',$rozvrh['ctvrtek']),1,1);
            
            $pdf->SetFont('Arialb','',10);
            $pdf->Cell(35, 10, iconv('UTF-8','WINDOWS-1250','Pátek'),1,0);
            $pdf->Cell(0, 10, iconv('UTF-8','WINDOWS-1250',$rozvrh['patek']),1,1);
            
            $pdf->SetFont('Arialb','',10);
            $pdf->Cell(35, 10, iconv('UTF-8','WINDOWS-1250','Sobota'),1,0);
            $pdf->Cell(0, 10, iconv('UTF-8','WINDOWS-1250',$rozvrh['sobota']),1,1);
            
            $pdf->SetFont('Arialb','',10);
            $pdf->Cell(35, 10, iconv('UTF-8','WINDOWS-1250','Neděle'),1,0);
            $pdf->Cell(0, 10, iconv('UTF-8','WINDOWS-1250',$rozvrh['nedele']),1,1);
            $pdf->Cell(0, 5, '',0,1);
            
            
            $pdf->SetFont('Arialb','',10);
            $pdf->Cell(0, 10, iconv('UTF-8','WINDOWS-1250','Otevírací doba je platná od '.Date("d.m.Y",strtotime($rozvrh['datum_od'])).' do '.Date("d.m.Y",strtotime($rozvrh['datum_do']))),0,0);
            
             
            $pdf->Output();
    }
    
    // kontakt
    public function actionKontakt() {
        $form = new \Forms\KontaktForm($this, 'kontaktForm');
    }
    
    // výpis stránky
    public function actionPage($id_page) {
        $this->template->page = \PagesModel::getInstance()->page($id_page);
    }
    
    // program kina
    public function actionProgram() {
        $datum = date('Y-m-d H:i');
        $vp        = new \VisualPaginator($this,'vp');
        $paginator = $vp->getPaginator();
        $paginator->itemsPerPage = 10;
        if($this->areal['kino']==1) {
            $paginator->itemCount = count(\TerminyModel::getInstance()->selectAllAdmin(null,null,$datum,null,1));
            $terminy = \TerminyModel::getInstance()->selectAllAdmin($paginator->offset,$paginator->itemsPerPage,$datum,null,1);
        }elseif($this->areal['dk']==1){
            $paginator->itemCount = count(\TerminyModel::getInstance()->selectAllBezKina(null,null,$datum,null));
            $terminy = \TerminyModel::getInstance()->selectAllBezKina($paginator->offset,$paginator->itemsPerPage,$datum,null);
        }elseif($this->areal['dsrbk']==1){
            $paginator->itemCount = count(\TerminyModel::getInstance()->selectAllDsrbk(null,null,$datum,null));
            $terminy = \TerminyModel::getInstance()->selectAllDsrbk($paginator->offset,$paginator->itemsPerPage,$datum,null);
        }
        
        foreach($terminy as $key => $termin) {
            $terminy[$key]['den'] = $this->datum2($termin['datum'],1);
        }
        $this->template->terminy = $terminy;
    }
    
    // výpis sportovišť, kde je možná rezervace
    public function actionRezervace() {
        
        // sportovišťě
        $sportoviste = \SportovisteModel::getInstance()->selectAll(null,null,$this->id_areal);
        foreach($sportoviste as $key => $item) {
            $item['areal'] = \ArealyModel::getInstance()->areal($item['id_areal']);
        }
        $this->template->sportoviste2 = $sportoviste;
    }
    
    // registrace
    public function actionRegistrace() {
        new \Forms\RegistraceForm($this,'registrace');
    }
    
    // vypíše rezervace (= rezervace, které si uživatel rezervoval)
    public function actionMojeRezervace() {
        $id_user    = null;
        $id_spravce = null;
        if(($this->getUser()->isInRole('admin'))OR($this->getUser()->isInRole('spravce'))){
            $id_spravce = $this->getUser()->getId();
        }else{
            $id_user = $this->getUser()->getId();
        }
        
        $vp = new \VisualPaginator($this,'vp');
            $paginator = $vp->getPaginator();
            $paginator->itemsPerPage = 20;
            $datum = date('Y-m-d');
            $paginator->itemCount = count(\RezervaceModel::getInstance()->selectAllMojeRezervace(null,null,$datum,null,$id_user,$id_spravce));
            $rezervace_aktivni = \RezervaceModel::getInstance()->selectAllMojeRezervace($paginator->offset,$paginator->itemsPerPage,$datum,null,$id_user,$id_spravce);
        foreach ($rezervace_aktivni as $key => $item) {
            $sportoviste = \SportovisteModel::getInstance()->sportoviste($item['id_sportoviste']);
            $areal       = \ArealyModel::getInstance()->areal($sportoviste['id_areal']);
            $cas         = \CasyModel::getInstance()->cas($item['id_cas']);
            $rezervace_aktivni[$key]['sportoviste'] = $sportoviste;
            $rezervace_aktivni[$key]['areal']       = $areal;
            $rezervace_aktivni[$key]['cas']         = $cas['nazev'];
            $rezervace_aktivni[$key]['datum']       = $this->datum2($item['datum']);
        }
        $this->template->rezervace_aktivni = $rezervace_aktivni;
    }
    
    // nastavení účtu
    public function actionHeslo() {
        $form = new Forms\HesloForm($this, 'heslo');
    }
    
    // vypíše sportoviště
    public function actionSportoviste($id_sportoviste,$rok = null,$tyden = null,$den=null) {
        
        
        if(!isset($id_sportoviste)) {
            $areal_sportoviste = \SportovisteModel::getInstance()->sportovisteAreal($this->id_areal);
            $id_sportoviste = $areal_sportoviste['id_sportoviste'];
            $this->redirect('Areal:sportoviste',$id_sportoviste);
        }
        
        if($tyden==null){
            $tyden = Date('W');
        }
        if($rok==null){
            $rok = Date('Y');
        }
        
        // AJAX
        if ($this->isAjax()) {
            $this->invalidateControl('rezervacebox');
            $this->invalidateControl('flashmsg');
        }
        
        // sportovišťě
        $sportoviste_menu = \SportovisteModel::getInstance()->selectAll(null,null,$this->id_areal);
        foreach($sportoviste_menu as $key => $item) {
            $item['areal'] = \ArealyModel::getInstance()->areal($item['id_areal']);
        }
        $this->template->sportoviste_menu = $sportoviste_menu;
        
        $nastaveni = \NastaveniModel::getInstance()->selectAll();
        $this->template->rok  = stripslashes($rok);
        $this->template->tyden = stripslashes($tyden);
        $this->template->id_sportoviste = $id_sportoviste;
        
        // načte sportoviště
        $sportoviste = \SportovisteModel::getInstance()->sportoviste($id_sportoviste);
        $this->template->sportoviste = $sportoviste;
        
        $platby = \PlatbyModel::getInstance()->selectAll(null,null,$id_sportoviste);
        $this->template->zpusoby_platby = $platby;
        
        $user = \UserModel::getInstance()->user($this->getPresenter()->getUser()->getId());
        
        // načteme POST
        $post = $this->getRequest()->getPost();
        
        // ODSTRANĚNÍ REZERVACÍ
        if((isset($post['odstranit'])AND(isset($post['casy'])))) {
            $casy = $post['casy'];
            foreach($casy as $item) {
                // test zda termín už neproběhl
                $rezervace = \RezervaceModel::getInstance()->rezervace($item);
                $cas       = \CasyModel::getInstance()->cas($rezervace['id_cas']);
                $cas       = \explode('-', $cas['nazev']);
                $cas0      = time();
                $cas1      = strtotime(Date("Y-m-d",strtotime($rezervace['datum']))." ".$cas[0]);
                $vysledek  = $cas0-$cas1;
                if(($vysledek>7200)AND(!$this->getUser()->isInRole('admin'))){
                    $this->flashMessage('Nemůžete odstranit rezervace, které již proběhly','error');
                }else{
                    \RezervaceModel::getInstance()->rezervaceDel($item);
                    $this->flashMessage('Rezervace byla úspěšně odstraněna ','success');
                }
            }
            $this->redirect('this');
        }
        
        // VYTVOŘENÍ REZERVACE
        if(((isset($post['rezervace']))AND($post['rezervace']=='Rezervovat'))OR((isset($post['prodej']))AND($post['prodej']=='Prodat'))) {
            if((isset($post['rezervovane']))AND($post['rezervovane']!='')) {
                // definice proměnných
                $casy = $post['rezervovane'];
                $casy = explode(';', $casy);
                $jmeno      = '';
                $email      = '';
                $telefon    = '';
                $id_user    = 0;
                $id_prodejce = 0;
                $id_platba  = 0;
                $cena       = 0;
                $id_spravce = 0;
                $error      = 0;
                $karta      = 0;
                $faktura    = 0;
                $rezervace_text = '';
                
                
                // PŘÍMÝ PRODEJ
                if((isset($post['prodej'])AND($post['prodej']=='Prodat'))) {
                    $id_prodejce = $this->getUser()->getId();
                    
                    if($post['id_platba']!=0) {
                    $id_platba   = $post['id_platba'];
                    }else{
                        $error++;
                        $this->flashMessage('Nebyl vybrán způsob platby','error');
                    }
                    
                    $pltb = \PlatbyModel::getInstance()->platba($post['id_platba']);
                    $cena        = $pltb['value'];
                    
                    
                    if((isset($post['karta']))AND($post['karta']==1)) {
                        $karta = 1;
                    }
                    if((isset($post['faktura']))AND($post['faktura']==1)) {
                        $faktura = 1;
                    }
                    
                }
                
                if(($this->getPresenter()->getUser()->isInRole('spravce'))OR($this->getPresenter()->getUser()->isInRole('admin'))){
                // administrátor a správce
                if(((isset($post['jmeno']))AND($post['jmeno']!=''))AND((isset($post['email'])AND($post['email']!=''))||(isset($post['telefon'])AND($post['telefon']!='')))){ // musí bý zadáno jméno
                        $jmeno      = $post['jmeno'];
                        $email      = $post['email'];
                        $telefon    = $post['telefon'];
                        $id_spravce = $user['id_user'];
                    }else{
                        $error++;
                        $this->flashMessage('Musít být vyplněno jméno a zároveň buď e-mail nebo telefon. Zkuste to znovu', 'error');
                    }
                }else{
                // uživatel  
                    $id_user = $user['id_user'];
                    $email   = $user['email'];
                }
                if($error==0){
                $pocet = 0;
                foreach($casy as $cas) {
                    
                    $termin = explode(':',$cas);
                    $sportoviste_zdroj = \SportovisteModel::getInstance()->sportoviste($termin[0]);
                    
                    if(($sportoviste_zdroj['hlavni']==1)) {
                        $cela_plocha = 1;
                    }else{
                        $cela_plocha = 0;
                    }
                    
                    $zdroj = array(
                        'id_cas'          => $termin[1],
                        'id_sportoviste'  => $termin[0],
                        'id_user'         => $id_user,
                        'id_spravce'      => $id_spravce,
                        'id_prodejce'     => $id_prodejce,
                        'id_platba'       => $id_platba,
                        'cena'            => $cena,
                        'datum'           => $termin[2],
                        'datum_rezervace' => new \DateTime,
                        'jmeno'           => $jmeno,
                        'email'           => $email,
                        'telefon'         => $telefon,
                        'cela_plocha'     => $cela_plocha,
                        'karta'           => $karta,
                        'faktura'         => $faktura
                    );
                    if(($sportoviste_zdroj['hlavni']==1)OR($sportoviste_zdroj['vedlejsi']==1)) {
                        $hash = md5($termin[0].Date('D.m.Y H:i').Rand(0,150));
                        $zdroj['hash'] = $hash;
                    }
                    
                    
                    if(!\RezervaceModel::getInstance()->kontrola2($termin[1],$termin[2])) {
                    
                    // UŽIVATEL - otestujeme množství rezervací na den a zda nerezervuje mimo povolený termín
                    if($id_user!=0) {
                        
                        // test - uživatel může mít maximálně jednu rezervaci denně
                        $test = \RezervaceModel::db()->query('SELECT id_rezervace FROM rezervace WHERE id_sportoviste = ? AND id_user = ? AND datum = ?',$termin[0],$id_user,$termin[2])->fetchAll();
                        if(count($test)<$sportoviste_zdroj['hodiny']){
                            
                            
                            $areal = \ArealyModel::getInstance()->areal($this->id_areal);
                            
                            // test - omezení na maximálně x dnů ode dneška
                            $omezeni_dnu = ($areal['rezervace_dnu']*86400);
                            $timestamp   = time();
                            if(strtotime($termin[2])<=($omezeni_dnu+time())) {
                                // uložení rezervace
                                $id_rezervace = \RezervaceModel::getInstance()->rezervaceAdd($zdroj);
                                
                                // pokud rezervuje vedlejší plochy, musí se zarezervovat i hlavní plocha
                                if($sportoviste_zdroj['vedlejsi']==1) {
                                    \RezervaceModel::getInstance()->rezervaceVedlHlav($termin[1],$zdroj);
                                }
                                // pokud rezervuje hlavní plochu, musí se zarezerovat i všechny vedlejší plochy
                                if($sportoviste_zdroj['hlavni']==1) {
                                    \RezervaceModel::getInstance()->rezervaceHlavVedl($termin[1],$zdroj);
                                }
                                
                            }else{
                                $error++;
                                $this->flashMessage('Můžete rezervovat termíny maximálně '.$areal['rezervace_dnu'].' dnů dopředu, rezervace ostatních termínů pouze na tel.: 734 313 303','error');
                            }
                            
                        }else{
                            $error++;
                            $this->flashMessage('Maximální denní počet rezervací na uživatele je '.$sportoviste['hodiny'],'error');
                        }
                        
                    }else{
                        $id_rezervace = \RezervaceModel::getInstance()->rezervaceAdd($zdroj);

                        // PŘÍMÝ PRODEJ
                                if((isset($post['prodej'])AND($post['prodej']=='Prodat'))) {

                                    // uložíme transakci do účetnictví
                                    $zdroj2 = array(
                                        'id_user'     => $this->getUser()->getId(),
                                        'id_rezervace'=> $id_rezervace,
                                        'id_platba'   => $pltb['id_platba'],
                                        'id_areal'    => $this->id_areal,
                                        'karta'       => $karta,
                                        'faktura'     => $faktura,
                                        'value'       => $pltb['value'],
                                        'datum'       => new \DateTime,
                                        'nazev'       => $pltb['nazev'],
                                        'mnozstvi'    => 1
                                    );

                                    \ProdejeModel::getInstance()->prodejAdd($zdroj2);
                                    
                                }
                        
                        // pokud rezervuje vedlejší plochy, musí se zarezervovat i hlavní plocha
                        if($sportoviste_zdroj['vedlejsi']==1) {
                            \RezervaceModel::getInstance()->rezervaceVedlHlav($termin[1],$zdroj);
                        }
                        // pokud rezervuje hlavní plochu, musí se zarezerovat i všechny vedlejší plochy
                        if($sportoviste_zdroj['hlavni']==1) {
                            \RezervaceModel::getInstance()->rezervaceHlavVedl($termin[1],$zdroj);
                        }
                        
                    }
                    // připravíme text pro e-mail
                    if($this->getPresenter()->getUser()->isInRole('user')) {
                        $sportoviste = \SportovisteModel::getInstance()->sportoviste($termin[0]);
                        $cas         = \CasyModel::getInstance()->cas($termin[1]);
                        
                        $rezervace_text .= '<tr><td>'.$sportoviste['nazev'].'</td><td>'.Date("d.m.Y",strtotime($termin[2])).'</td><td>'.$cas['nazev'].'</td></tr>';
                    }
                    
                    }
                    $pocet++;
                }
                // vytvoření údajů pro účtenku
                if((isset($post['prodej'])AND($post['prodej']=='Prodat'))) {
                $this->template->prodej_cena     = $pocet*$pltb['value'];
                $this->template->prodej_mnozstvi = $pocet;
                $this->template->prodej_nazev    = $pltb['nazev'];
                $this->template->prodej_id_prodejce = $this->getUser()->getId();
                $this->template->prodej_karta    = $karta;
                $this->template->prodej_faktura  = $faktura;
                }
                 
                if($error==0){
                // uživateli pošleme informační e-mail s info o rezervaci
                    if($this->getPresenter()->getUser()->isInRole('user')) {
                        $nastaveni = \NastaveniModel::getInstance()->selectAll();
                        $text_emailu = "<h2>Souhrn rezervace</h2>
                            <table>
                            <tr><th>Sportoviště</th><th>Datum</th><th>Čas</th></tr>
                            ".$rezervace_text."
                            </table>".$nastaveni['email_rezervace'];
                        
                    $mail = new Message;
                    $mail->setFrom($nastaveni['nazev'].' <'.$nastaveni['email'].'>')
                    ->addTo($email)
                    ->setSubject('Potvrzení rezervace - '.$nastaveni['nazev'])
                    ->setHTMLBody($text_emailu)
                    ->send();
                    }
                    
                if((isset($post['prodej'])AND($post['prodej']=='Prodat'))) {
                    $this->flashMessage('Rezervace byly úspěšně prodány','success');
                }else{
                    $this->flashMessage('Rezervace byla úspěšně vytvořena','success');
                }
                }
                }
                
            }else{
                $this->flashMessage('Nebyl vybrán žádný termín rezervace','error');
            }
        }
        
        // HROMADNÝ PRODEJ REZERVOVANÝCH REZERVACÍ - ADMIN + PRODEJCE
        if((isset($post['prodat'])AND(isset($post['casy'])))) {
            // ovříme, zda byla vybrána platba
            if(isset($post['id_platba'])AND($post['id_platba']!='')) {
                $id_platba = $post['id_platba'];
                $faktura   = 0;
                $karta     = 0;
                
                if(isset($post['karta2'])AND $post['karta2']==1){
                    $karta  = 1;
                }
                if(isset($post['faktura2'])AND $post['faktura2']==1){
                    $faktura  = 1;
                }
                
                // načteme data z plateb
                $platby = \PlatbyModel::getInstance()->platba($post['id_platba']);
                
                $pocet = 0;
                foreach($post['casy'] as $item) {
                    $zdroj = array(
                        'id_prodejce' => $this->getUser()->getId(),
                        'id_platba'   => $post['id_platba'],
                        'cena'        => $platby['value']
                    );

                    \RezervaceModel::getInstance()->rezervaceUpd($item,$zdroj);

                    // uložíme transakci do účetnictví
                    $zdroj2 = array(
                        'id_user' => $this->getUser()->getId(),
                        'id_rezervace'=> $item,
                        'id_platba'   => $post['id_platba'],
                        'id_areal'    => $this->id_areal,
                        'karta'       => $karta,
                        'faktura'     => $faktura,
                        'value'       => $platby['value'],
                        'datum'       => new \DateTime,
                        'nazev'       => $platby['nazev'],
                        'mnozstvi'    => 1
                    );

                    \ProdejeModel::getInstance()->prodejAdd($zdroj2);
                    $pocet++;
                }
                
                $this->flashMessage('Rezervace byly úspěšně prodány','success');
                
            }else{
                $this->flashMessage('Musíte vybrat způsob platby','error');
            }
            
            // vytvoření údajů pro účtenku
                $this->template->prodej_cena     = $pocet*$platby['value'];
                $this->template->prodej_mnozstvi = $pocet;
                $this->template->prodej_nazev    = $platby['nazev'];
            
        }
        
        
        // rezervace pro tento týden
        $first = strtotime($rok . 'W' . $tyden);
        $end   = strtotime("+6 days",$first);
        $rezervace = \RezervaceModel::getInstance()->selectAll(null,null,$id_sportoviste,Date("Y-m-d",$first),Date("Y-m-d",$end));
        foreach($rezervace as $key => $item) {
            // zajistíme aby se správně zobrazovalo jméno telefon a email ať už jde o rezervace provedené uživatelem nebo správcem
            $jmeno   = '';
            $email   = '';
            $telefon = '';
            if($item['id_user']!=0) {
                $uzivatel = \UserModel::getInstance()->user($item['id_user']);
                $jmeno   = $uzivatel['prijmeni'].' '.$uzivatel['jmeno'];
                $email   = $uzivatel['email'];
                $telefon = $uzivatel['telefon'];
            }else{
                $jmeno   = $item['jmeno'];
                $email   = $item['email'];
                $telefon = $item['telefon'];
            }
            $rezervace[$key]['datum']   = $this->datum3($item['datum']);
            $rezervace[$key]['jmeno']   = $jmeno;
            $rezervace[$key]['telefon'] = $telefon;
            $rezervace[$key]['email']   = $email;
            if($item['id_platba']!=0){
                $platba = \PlatbyModel::getInstance()->platba($item['id_platba']);
                $platba = $platba['value'].' Kč';
            }else{
                $platba = '';
            }
            $rezervace[$key]['platba'] = $platba;
            $cas = \CasyModel::getInstance()->cas($item['id_cas']);
            $rezervace[$key]['cas'] = $cas['nazev'];
            
            new \Forms\PotvrditForm($this, $item['id_rezervace'], $item['id_rezervace']);
        }
        $this->template->rezervace = $rezervace;
     
        // zobrazí user menu
        $this->template->user_menu = 1;
        
        // zobrazení rezervacčního boxu
        $ovladani_error = 0;
        
        
        $this->template->ovladani_error = $ovladani_error;
        
        
    }
    
    // vypíše účtenku k prodané rezervaci
    public function handleUctenka($id_rezervace) {
     
        $rezervace   = \RezervaceModel::getInstance()->rezervace($id_rezervace);
        $cas         = \CasyModel::getInstance()->cas($rezervace['id_cas']);
        $sportoviste = \SportovisteModel::getInstance()->sportoviste($rezervace['id_sportoviste']);
        $platba      = \PlatbyModel::getInstance()->platba($rezervace['id_platba']);
        $prodejce    = \UserModel::getInstance()->user($rezervace['id_prodejce']);
        
        $razitko    = 'http://www.dkrumburk.cz/pictures/layout/razitko.jpg';
        
        include LIBS_DIR.'/fpdf/fpdf.php';
            
            // ÚČTENKA
            $pdf=new FPDF();
            $pdf->SetTopMargin(0);
            $pdf->AddPage();
            $pdf->AddFont('Arialb','','arialb.php');

            $pdf->SetFont('Arialb','',14);
            $pdf->Cell(0,10,'',0,2);
            $pdf->Cell(0, 12, iconv('UTF-8','WINDOWS-1250','Dům kultury a sportoviště města Rumburk p.o. - příjmový doklad'),1,2);

            $pdf->SetFont('Arialb','',10);
            $pdf->Cell(50, 8, iconv('UTF-8','WINDOWS-1250','Datum prodeje'),1,0);
            $pdf->Cell(0, 8, iconv('UTF-8','WINDOWS-1250',Date('j.n.Y H:i')),1,1);
            
            $pdf->Cell(50, 8, iconv('UTF-8','WINDOWS-1250','Sportoviště'),1,0);
            $pdf->Cell(0, 8, iconv('UTF-8','WINDOWS-1250',$sportoviste['nazev']." / ".$platba['nazev']),1,1);
            
            $pdf->Cell(50, 8, iconv('UTF-8','WINDOWS-1250','Datum rezervace'),1,0);
            $pdf->Cell(0, 8, iconv('UTF-8','WINDOWS-1250',Date('d.m.Y', strtotime($rezervace['datum'])).' '.$cas['nazev']),1,1);
            
            $cena_doplnek = '';
            if($rezervace['karta']==1) {
                $cena_doplnek .= ' - platba kartou';
            }
            if($rezervace['faktura']==1) {
                $cena_doplnek .= ' - platba na fakturu';
            }
            
            $pdf->Cell(50, 8, iconv('UTF-8','WINDOWS-1250','Cena'),1,0);
            $pdf->Cell(0, 8, iconv('UTF-8','WINDOWS-1250',$platba['value'].' Kč '.$cena_doplnek),1,1);
            
            $pdf->Cell(50, 8, iconv('UTF-8','WINDOWS-1250','Prodal'),1,0);
            $pdf->Cell(0, 8, iconv('UTF-8','WINDOWS-1250',$prodejce['jmeno'].' '.$prodejce['prijmeni']),1,1);
            
            $pdf->Cell(50, 30, iconv('UTF-8','WINDOWS-1250','Razítko a podpis'),1,0);
            $pdf->Cell(0, 30, iconv('UTF-8','WINDOWS-1250',''),1,1);
            
            $pdf->Cell(50, 8, iconv('UTF-8','WINDOWS-1250','Jméno a příjmení'),1,0);
            $pdf->Cell(0, 8, iconv('UTF-8','WINDOWS-1250',''),1,1);
            
            $pdf->Cell(50, 8, iconv('UTF-8','WINDOWS-1250','Adresa'),1,0);
            $pdf->Cell(0, 8, iconv('UTF-8','WINDOWS-1250',''),1,1);
            
            $pdf->Cell(50, 30, iconv('UTF-8','WINDOWS-1250','Poznámka'),1,0);
            $pdf->Cell(0, 30, iconv('UTF-8','WINDOWS-1250',''),1,1);
            
            $pdf->Image($razitko,65,68,35);
            
            $pdf->Output();
        
    }
    
    // vypíše příjmový doklad k přímému prodeji
    public function handleUctenkaProdej($cena,$nazev,$mnozstvi,$id_prodejce=null,$faktura=null,$karta=null) {
     
        
        $razitko    = 'http://www.dkrumburk.cz/pictures/layout/razitko.jpg';
        
        include LIBS_DIR.'/fpdf/fpdf.php';
            
            // ÚČTENKA
            $pdf=new FPDF();
            $pdf->SetTopMargin(0);
            $pdf->AddPage();
            $pdf->AddFont('Arialb','','arialb.php');

            $pdf->SetFont('Arialb','',14);
            $pdf->Cell(0,10,'',0,2);
            $pdf->Cell(0, 12, iconv('UTF-8','WINDOWS-1250','Dům kultury a sportoviště města Rumburk p.o. - příjmový doklad'),1,2);

            $pdf->SetFont('Arialb','',10);
            $pdf->Cell(50, 8, iconv('UTF-8','WINDOWS-1250','Datum prodeje'),1,0);
            $pdf->Cell(0, 8, iconv('UTF-8','WINDOWS-1250',Date('j.n.Y H:i')),1,1);
            
            $pdf->Cell(50, 8, iconv('UTF-8','WINDOWS-1250','Položka'),1,0);
            $pdf->Cell(0, 8, iconv('UTF-8','WINDOWS-1250',$nazev),1,1);
            
            $cena_dodatek = '';
            if($karta==1) {
                $cena_dodatek .= ' - placeno kartou';
            }
            if($faktura==1) {
                $cena_dodatek .= ' - placeno na fakturu';
            }
            
            $pdf->Cell(50, 8, iconv('UTF-8','WINDOWS-1250','Cena'),1,0);
            $pdf->Cell(0, 8, iconv('UTF-8','WINDOWS-1250',$cena.' Kč '.$cena_dodatek),1,1);
                
            $pdf->Cell(50, 8, iconv('UTF-8','WINDOWS-1250','Množství'),1,0);
            $pdf->Cell(0, 8, iconv('UTF-8','WINDOWS-1250',$mnozstvi),1,1);
            
            if(isset($id_prodejce)) {
                $prodejce = \UserModel::getInstance()->user($id_prodejce);
                $pdf->Cell(50, 8, iconv('UTF-8','WINDOWS-1250','Prodal'),1,0);
            $pdf->Cell(0, 8, iconv('UTF-8','WINDOWS-1250',$prodejce['jmeno'].' '.$prodejce['prijmeni']),1,1);
            }
            
            $pdf->Cell(50, 30, iconv('UTF-8','WINDOWS-1250','Razítko a podpis'),1,0);
            $pdf->Cell(0, 30, iconv('UTF-8','WINDOWS-1250',''),1,1);
            
            $pdf->Cell(50, 8, iconv('UTF-8','WINDOWS-1250','Jméno a příjmení'),1,0);
            $pdf->Cell(0, 8, iconv('UTF-8','WINDOWS-1250',''),1,1);
            
            $pdf->Cell(50, 8, iconv('UTF-8','WINDOWS-1250','Adresa'),1,0);
            $pdf->Cell(0, 8, iconv('UTF-8','WINDOWS-1250',''),1,1);
            
            $pdf->Cell(50, 30, iconv('UTF-8','WINDOWS-1250','Poznámka'),1,0);
            $pdf->Cell(0, 30, iconv('UTF-8','WINDOWS-1250',''),1,1);
            
            $pdf->Image($razitko,65,68,35);
            
            $pdf->Output();
        
    }
    
    
    // odstraní samostatnou rezervaci
    public function handleRezervaceDel($id_rezervace=null) {
        // kontrola, jestli uživatel může rezervaci odstranit
        $error = 0;
        if($this->getUser()->isInRole('user')){
            $test = \RezervaceModel::db()->query('SELECT * FROM rezervace WHERE id_rezervace = ? AND id_user = ?',$id_rezervace,$this->getUser()->getId())->fetchAll();
            if(count($test)!=1){
                $error++;
            }
        }
        if($error==0){
            // test zda termín už neproběhl
            $rezervace = \RezervaceModel::getInstance()->rezervace($id_rezervace);
            $cas       = \CasyModel::getInstance()->cas($rezervace['id_cas']);
            $cas       = \explode('-', $cas['nazev']);
            $cas0      = time();
            $cas1      = strtotime(Date("Y-m-d",strtotime($rezervace['datum']))." ".$cas[0]);
            $vysledek  = $cas0-$cas1;
            if(($vysledek>7200)AND(!$this->getUser()->isInRole('admin'))){
                $this->flashMessage('Nemůžete odstranit rezervace, které již proběhly','error');
            }else{
                \RezervaceModel::getInstance()->rezervaceDel($id_rezervace);
                $this->flashMessage('Rezervace byla úspěšně odstraněna ','success');
            }
        }else{
            $this->flashMessage('Nemůžete odstranit cizí rezervaci','error');
        }
        $this->redirect('this');
    }
    
    // storno rezervace
    public function handleStorno($id_rezervace) {
        \PlatbyModel::getInstance()->storno($id_rezervace,$this->getUser()->getId());
        $transakce = \UctoModel::getInstance()->deleteByRezervace($id_rezervace);
        $this->flashMessage('Záznam o prodeji byl úspěšně odstraněn', 'success');
        $this->redirect('this');
    }
    
// ÚČETNICTVÍ 
    
    // aktuální stav - přehled dluhů
    public function actionUcto() {
        $prodejci = \UctoModel::getInstance()->selectProdejci();
        foreach($prodejci as $key => $row){
            $trzby     = \UctoModel::getInstance()->selectTrzby($row['id_user'],0,0);
            $zaplaceno = \UctoModel::getInstance()->selectTransakce($row['id_user']);
            
            // vypočítáme, kolik uživatel dluží do kasy
            $prodejci[$key]['trzby']          = $trzby;
            $prodejci[$key]['zaplaceno']      = $zaplaceno;
            $prodejci[$key]['dluh']           = $trzby-$zaplaceno;
        }
        $this->template->prodejci = $prodejci;
    }
    
    // prodej
    public function actionProdej() {
        // ověření, zda není uživatel omezený na prodej
        if(\RezervaceModel::getInstance()->overeniOmezeni($this->getPresenter()->getUser()->getId(),$this->id_areal)) {
        
        $form = new AdminModule\Forms\ProdejForm($this, 'prodejForm');
        $form = new AdminModule\Forms\PolozkaForm($this, 'polozkaForm');
        }else{
            $this->flashMessage('Nemáte oprávnění na prodej v tomto areálu','error');
            $this->redirect('Default:homepage');
        }
    }
    
    // moje prodeje
    public function actionMojeProdeje() {
        $vp        = new \VisualPaginator($this,'vp');
        $paginator = $vp->getPaginator();
        $paginator->itemsPerPage = 20;
        $paginator->itemCount = count(\ProdejeModel::getInstance()->selectAll(null,null,$this->getUser()->getId(),1,1));
        $prodeje = \ProdejeModel::getInstance()->selectAll($paginator->offset,$paginator->itemsPerPage,$this->getUser()->getId());
        
        $this->template->prodeje = $prodeje;
    }
    
    // výpis transakcí
    public function actionTransakce($id_prodejce){
        $vp        = new \VisualPaginator($this,'vp');
        $paginator = $vp->getPaginator();
        $paginator->itemsPerPage = 20;
        $paginator->itemCount = count(\UctoModel::getInstance()->selectAll(null,null,$id_prodejce));
        $transakce = \UctoModel::getInstance()->selectAll($paginator->offset,$paginator->itemsPerPage,$id_prodejce);
        foreach($transakce as $key => $item) {
            $prodejce = \UserModel::getInstance()->user($item['id_prodejce']);
            $transakce[$key]['prodejce'] = $prodejce['jmeno'].' '.$prodejce['prijmeni'];
            $ucetni = \UserModel::getInstance()->user($item['id_ucetni']);
            $transakce[$key]['ucetni'] = $ucetni['prijmeni'];
        }
        $this->template->transakce = $transakce;
    }
    
    // přidání transakce
    public function actionTransakceAdd(){
        $form = new AdminModule\Forms\TransakceForm($this, 'form');
        $this->template->title = 'Nová transakce';
        $this->setView('form');
    }
    
    // vytvoření příjmového dokladu v PDF
    public function actionDoklad($id_transakce=null) {
        
        if(isset($id_transakce)){
            
        $transakce = \UctoModel::getInstance()->transakce($id_transakce);    
        $predal    = \UserModel::getInstance()->user($transakce['id_prodejce']);
        $prevzal   = \UserModel::getInstance()->user($transakce['id_ucetni']);
        $cena_celkem = $transakce['value'] + $transakce['karta'] + $transakce['faktura'];
        
            include LIBS_DIR.'/fpdf/fpdf.php';
            
            // PŘÍJMOVÝ DOKLAD
            $pdf=new FPDF();
            $pdf->SetTopMargin(0);
            $pdf->AddPage();
            $pdf->AddFont('Arialb','','arialb.php');

            $pdf->SetFont('Arialb','',14);
            $pdf->Cell(0,10,'',0,2);
            $pdf->Cell(0, 12, iconv('UTF-8','WINDOWS-1250','Příjmový doklad'),1,2);

            $pdf->SetFont('Arialb','',10);
            $pdf->Cell(50, 8, iconv('UTF-8','WINDOWS-1250','ID transakce'),1,0);
            $pdf->Cell(0, 8, iconv('UTF-8','WINDOWS-1250',$transakce['id_transakce']),1,1);
            
            $pdf->Cell(50, 8, iconv('UTF-8','WINDOWS-1250','Platby celkem'),1,0);
            $pdf->Cell(0, 8, iconv('UTF-8','WINDOWS-1250',$cena_celkem.' Kč'),1,1);
            
            $pdf->Cell(50, 8, iconv('UTF-8','WINDOWS-1250','Platby v hotovosti'),1,0);
            $pdf->Cell(0, 8, iconv('UTF-8','WINDOWS-1250',$transakce['value'].' Kč'),1,1);
            
            if($transakce['karta']){
                $pdf->Cell(50, 8, iconv('UTF-8','WINDOWS-1250','Platby kartou'),1,0);
                $pdf->Cell(0, 8, iconv('UTF-8','WINDOWS-1250',$transakce['karta'].' Kč'),1,1);
            }
            
            if($transakce['faktura']){
                $pdf->Cell(50, 8, iconv('UTF-8','WINDOWS-1250','Platby na fakturu'),1,0);
                $pdf->Cell(0, 8, iconv('UTF-8','WINDOWS-1250',$transakce['faktura'].' Kč'),1,1);
            }
            
            $pdf->Cell(50, 8, iconv('UTF-8','WINDOWS-1250','Plátce'),1,0);
            $pdf->Cell(0, 8, iconv('UTF-8','WINDOWS-1250',$predal['prijmeni'].' '.$predal['jmeno']),1,1);
            
            $pdf->Cell(50, 8, iconv('UTF-8','WINDOWS-1250','Příjemce'),1,0);
            $pdf->Cell(0, 8, iconv('UTF-8','WINDOWS-1250',$prevzal['prijmeni'].' '.$prevzal['jmeno']),1,1);
            
            $pdf->Cell(50, 8, iconv('UTF-8','WINDOWS-1250','Datum'),1,0);
            $pdf->Cell(0, 8, iconv('UTF-8','WINDOWS-1250',Date('d.m.Y',strtotime($transakce['datum']))),1,1);
            
            if(isset($transakce['poznamka'])){
               $pdf->Cell(50, 8, iconv('UTF-8','WINDOWS-1250','Poznámka'),1,0);
                $pdf->Cell(0, 8, iconv('UTF-8','WINDOWS-1250',$transakce['poznamka']),1,1); 
            }
            
            $pdf->Cell(0,5,'',0,1);
            $pdf->Cell(90, 30, iconv('UTF-8','WINDOWS-1250',$prevzal['prijmeni'].' '.$prevzal['jmeno'].':'),1,0);
            $pdf->Cell(0, 30, iconv('UTF-8','WINDOWS-1250',$predal['prijmeni'].' '.$predal['jmeno'].':'),1,1);
            
            // VÝDAJOVÝ DOKLAD

            $pdf->SetFont('Arialb','',14);
            $pdf->Cell(0,20,'',0,2);
            $pdf->Cell(0, 12, iconv('UTF-8','WINDOWS-1250','Výdajový doklad'),1,2);

            $pdf->SetFont('Arialb','',10);
            $pdf->Cell(50, 8, iconv('UTF-8','WINDOWS-1250','ID transakce'),1,0);
            $pdf->Cell(0, 8, iconv('UTF-8','WINDOWS-1250',$transakce['id_transakce']),1,1);

            $pdf->Cell(50, 8, iconv('UTF-8','WINDOWS-1250','Platby celkem'),1,0);
            $pdf->Cell(0, 8, iconv('UTF-8','WINDOWS-1250',$cena_celkem.' Kč'),1,1);
            
            $pdf->Cell(50, 8, iconv('UTF-8','WINDOWS-1250','Platby v hotovosti'),1,0);
            $pdf->Cell(0, 8, iconv('UTF-8','WINDOWS-1250',$transakce['value'].' Kč'),1,1);
            
            if($transakce['karta']){
                $pdf->Cell(50, 8, iconv('UTF-8','WINDOWS-1250','Platby kartou'),1,0);
                $pdf->Cell(0, 8, iconv('UTF-8','WINDOWS-1250',$transakce['karta'].' Kč'),1,1);
            }
            
            if($transakce['faktura']){
                $pdf->Cell(50, 8, iconv('UTF-8','WINDOWS-1250','Platby na fakturu'),1,0);
                $pdf->Cell(0, 8, iconv('UTF-8','WINDOWS-1250',$transakce['faktura'].' Kč'),1,1);
            }
            
            
            
            $pdf->Cell(50, 8, iconv('UTF-8','WINDOWS-1250','Plátce'),1,0);
            $pdf->Cell(0, 8, iconv('UTF-8','WINDOWS-1250',$predal['prijmeni'].' '.$predal['jmeno']),1,1);
            
            $pdf->Cell(50, 8, iconv('UTF-8','WINDOWS-1250','Příjemce'),1,0);
            $pdf->Cell(0, 8, iconv('UTF-8','WINDOWS-1250',$prevzal['prijmeni'].' '.$prevzal['jmeno']),1,1);
            
            $pdf->Cell(50, 8, iconv('UTF-8','WINDOWS-1250','Datum'),1,0);
            $pdf->Cell(0, 8, iconv('UTF-8','WINDOWS-1250',Date('d.m.Y',strtotime($transakce['datum']))),1,1);
            
            if(isset($transakce['poznamka'])){
               $pdf->Cell(50, 8, iconv('UTF-8','WINDOWS-1250','Poznámka'),1,0);
                $pdf->Cell(0, 8, iconv('UTF-8','WINDOWS-1250',($transakce['poznamka'])),1,1); 
            }
            
            
            $pdf->Cell(0,5,'',0,1);
            $pdf->Cell(90, 30, iconv('UTF-8','WINDOWS-1250',$prevzal['prijmeni'].' '.$prevzal['jmeno'].':'),1,0);
            $pdf->Cell(0, 30, iconv('UTF-8','WINDOWS-1250',$predal['prijmeni'].' '.$predal['jmeno'].':'),1,1);
            
            $pdf->Output();
        
        }else{
            $this->flashMessage('Nepovolený přístup','error');
            $this->redirect('Admin:ucto');
        }
        
    }
    
    // přehled prodaných položek
    public function actionPrehled($detail=null) {
        $form = new \AdminModule\Forms\PrehledForm($this,'prehledForm');
        
        // načteme POST
        $post = $this->getRequest()->getPost();
        
        // ODSTRANĚNÍ REZERVACÍ
        if((isset($post['transakce']))) {
            foreach($post['transakce'] as $item) {
                \ProdejeModel::getInstance()->prodejDel($item);
            }
            $this->flashMessage('Prodeje byly úspěšně odstraněny','success');
        }
    }
    
    // vytvoření exportu prodejů v PDF
    public function actionPdfExport($id_prodejce = null,$datum_od = null,$datum_do = null) {
        
        if($id_prodejce != null) {
            $prodejce = \UserModel::getInstance()->user($id_prodejce);
            $prodejce = $prodejce['prijmeni'].' '.$prodejce['jmeno'];
        }
        
        $polozky = \ProdejeModel::getInstance()->selectTransakce($id_prodejce,null,$datum_od,$datum_do);    
        
            include LIBS_DIR.'/fpdf/fpdf.php';
            
            $pdf=new FPDF();
            $pdf->SetTopMargin(0);
            $pdf->AddPage();
            $pdf->AddFont('Arialb','','arialb.php');

            $pdf->SetFont('Arialb','',14);
            $pdf->Cell(0,10,'',0,2);
            $pdf->Cell(0, 12, iconv('UTF-8','WINDOWS-1250','Přehled prodaných položek'),1,2);

            $pdf->SetFont('Arialb','',10);
            if($id_prodejce != null) {
                $pdf->Cell(50, 8, iconv('UTF-8','WINDOWS-1250','Prodejce'),1,0);
                $pdf->Cell(0, 8, iconv('UTF-8','WINDOWS-1250',$prodejce),1,1);
            }
            
            $pdf->Cell(50, 8, iconv('UTF-8','WINDOWS-1250','Datum od:'),1,0);
            $pdf->Cell(0, 8, iconv('UTF-8','WINDOWS-1250',Date("d.m.Y",strtotime($datum_od))),1,1);

            $pdf->Cell(50, 8, iconv('UTF-8','WINDOWS-1250','Datum do:'),1,0);
            $pdf->Cell(0, 8, iconv('UTF-8','WINDOWS-1250',Date("d.m.Y",strtotime($datum_do))),1,1);
            
            
            $pdf->Cell(0,10,'',0,2);
            $pdf->Cell(0, 12, iconv('UTF-8','WINDOWS-1250','Prodané položky'),1,2);
            $pdf->Cell(50, 8, iconv('UTF-8','WINDOWS-1250','Název'),1,0);
            $pdf->Cell(50, 8, iconv('UTF-8','WINDOWS-1250','Množství'),1,0);
            $pdf->Cell(0, 8, iconv('UTF-8','WINDOWS-1250','Cena'),1,1);
            foreach($polozky as $polozka) {
                $pdf->Cell(50, 8, iconv('UTF-8','WINDOWS-1250',$polozka['nazev']),1,0);
                $pdf->Cell(50, 8, iconv('UTF-8','WINDOWS-1250',$polozka['SUM(mnozstvi)']),1,0);
                $pdf->Cell(0, 8, iconv('UTF-8','WINDOWS-1250',$polozka['SUM(value)'].' Kč'),1,1);
            }
            
            
            $pdf->Output('vypis-transakce.pdf','I');
        
        
    }
    
    // vypíše událost
    public function actionUdalost($id_areal=null,$id_udalost) {
        $this->template->event = \EventsModel::getInstance()->event($id_udalost);
    }
    
    // multirezervace
    public function actionMultirezervace() {
        $form = new Forms\MultirezervaceForm($this, 'form');
        $this->template->title = 'Multirezervace';
        $this->setView('form');
    }
    
}
