<?php

use Nette\Web\User;
use Nette\Environment;
use Nette\Mail\Message;
use Nette\String;
use Nette\Mail\Mail;

class DefaultPresenter extends \BasePresenter {
    
// HOMEPAGE   
    
    // úvodní stránka
    public function actionHomepage() {
        $this->template->uvod     = \PagesModel::getInstance()->page(1);
        $this->template->partneri = \PagesModel::getInstance()->page(3);
        $nastaveni = \NastaveniModel::getInstance()->selectAll();
        
        $articles = \ArticlesModel::getInstance()->selectAll(0,2);
        foreach ($articles as $key => $article) {
            if(file_exists("pictures/jpg/n_".$article['id_article'].".jpg")) {
                $articles[$key]['picture'] = 1;
            }
            $articles[$key]['areal'] = \ArealyModel::getInstance()->areal($article['id_areal']);
        }
        $this->template->novinky = $articles;
        
        $datum = date('Y-m-d H:i');
        $this->template->vse      = \TerminyModel::getInstance()->selectAllAdmin(0,5,$datum,null,null);
        $this->template->kino     = \TerminyModel::getInstance()->selectAllAdmin(0,5,$datum,null,1);
        $this->template->divadlo  = \TerminyModel::getInstance()->selectAllAdmin(0,5,$datum,null,2);
        $this->template->koncerty = \TerminyModel::getInstance()->selectAllAdmin(0,5,$datum,null,3);
        $this->template->ostatni  = \TerminyModel::getInstance()->selectAllAdmin(0,5,$datum,null,6);
        $this->template->sport    = \TerminyModel::getInstance()->selectAllAdmin(0,5,$datum,null,5);
        
        $bannery = \BanneryModel::getInstance()->selectAll(null,null,1,0);
        foreach($bannery as $key => $banner) {
                $termin = \TerminyModel::getInstance()->selectTermin($banner['id_termin']);
                $bannery[$key]['termin'] = $termin;
                $bannery[$key]['akce']   = \AkceModel::getInstance()->selectAkce($termin['id_akce']);
                $bannery[$key]['datumer']  = $this->datum2($termin['datum']);
            }
        $this->template->bannery  = $bannery;
    }
    
// KALENDÁŘ UDÁLOSTÍ
    
    // vypíše kalendář
    public function actionKalendar($rok = null,$mesic = null,$den = null) {
        $vp        = new \VisualPaginator($this,'vp');
        $paginator = $vp->getPaginator();
        $paginator->itemsPerPage = 7;
        $datum = date('Y-m-d H:i');
        $paginator->itemCount = count(\EventsModel::getInstance()->selectAll(null,null,$datum));
        $events = \EventsModel::getInstance()->selectAll($paginator->offset,$paginator->itemsPerPage,$datum);
        foreach($events as $key => $event) {
            $events[$key]['datum'] = $this->datum($event['datum']);
        }
        $this->template->events = $events;
    }
    
    // vypíše událost
    public function actionEvent($id_event) {
        $event = \EventsModel::getInstance()->event($id_event);
        $event['areal'] = \ArealyModel::getInstance()->areal($event['id_areal']);
        $event['datum'] = $this->datum($event['datum']);
        if($event['id_galery']!=0) {
            $event['pictures'] = \PicturesModel::getInstance()->selectAll(null,null,$event['id_galery']);
        }
        $this->template->event = $event;
    }
    
// STATICKÉ STRÁNKY
    
    // obecná stránka
    public function actionPage($id_page) {
        $this->template->page = \PagesModel::getInstance()->page($id_page);
    }
    
    // kontakt
    public function actionKontakt() {
        $this->template->page = \PagesModel::getInstance()->page(2);
        $formular = new Forms\KontaktForm($this,'kontaktForm');
    }
    
// REZERVACE

    // úvodní stránka rezervací
    public function actionRezervace() {
        
        // sportovišť
        $sportoviste = \SportovisteModel::getInstance()->selectAll();
        foreach($sportoviste as $key => $item) {
            $item['areal'] = \ArealyModel::getInstance()->areal($item['id_areal']);
        }
        $this->template->sportoviste = $sportoviste;
        
        // zobrazí user menu
        $this->template->user_menu = 1;
    }
    
    // registrace
    public function actionRegistrace() {
        new \Forms\RegistraceForm($this,'registrace');
        
        // zobrazí user menu
        $this->template->user_menu = 1;
    }
    
    // sportoviště - rozcestník
    public function actionSportoviste() {
        $this->template->sport_menu = 1;
        
        $areal = \ArealyModel::getInstance()->areal(9);
        
        // SESSIONS
        if($areal['hlaska']!=''){
            $session = $this->getSession('hlaska'.$areal['id_areal']);
            if($session->hlaska != 1) {
                $this->template->hlaska = $areal['hlaska'];
            }
            $session->hlaska=1;
            $session->setExpiration(0, 'hlaska');
        }
        
        $articles = \ArticlesModel::getInstance()->selectAll(0,4);
        foreach ($articles as $key => $article) {
            if(file_exists("pictures/jpg/n_".$article['id_article'].".jpg")) {
                $articles[$key]['picture'] = 1;
            }
            $articles[$key]['areal'] = \ArealyModel::getInstance()->areal($article['id_areal']);
        }
        $this->template->novinky = $articles;
        
        $bannery = \BanneryModel::getInstance()->selectAll(null,null,1,0);
        foreach($bannery as $key => $banner) {
                $termin = \TerminyModel::getInstance()->selectTermin($banner['id_termin']);
                $bannery[$key]['termin'] = $termin;
                $bannery[$key]['akce']   = \AkceModel::getInstance()->selectAkce($termin['id_akce']);
                $bannery[$key]['datumer']  = $this->datum2($termin['datum']);
            }
        $this->template->bannery  = $bannery;
    }
    
    // vypíše sportoviště
    public function actionSportoviste2($id_sportoviste,$rok = null,$tyden = null,$den=null) {
        if($tyden==null){
            $tyden = Date('W');
        }
        if($rok==null){
            $rok = Date('Y');
        }
        
        $nastaveni = \NastaveniModel::getInstance()->selectAll();
        $this->template->rok  = stripslashes($rok);
        $this->template->tyden = stripslashes($tyden);
        $this->template->id_sportoviste = $id_sportoviste;
        
        // načte sportoviště
        $sportoviste = \SportovisteModel::getInstance()->sportoviste($id_sportoviste);
        
        // rezervace pro tento týden
        $first = strtotime($rok . 'W' . $tyden);
        $end   = strtotime("+6 days",$first);
        $rezervace = \RezervaceModel::getInstance()->selectAll(null,null,$id_sportoviste,Date("Y-m-d",$first),Date("Y-m-d",$end));
        foreach($rezervace as $key => $item) {
            // zajistíme aby se správně zobrazovalo jméno telefon a email ať už jde o rezervace provedené uživatelem nebo správcem
            $jmeno   = '';
            $email   = '';
            $telefon = '';
            if($item['id_user']!=0) {
                $uzivatel = \UserModel::getInstance()->user($item['id_user']);
                $jmeno   = $uzivatel['prijmeni'].' '.$uzivatel['jmeno'];
                $email   = $uzivatel['email'];
                $telefon = $uzivatel['telefon'];
            }else{
                $jmeno   = $item['jmeno'];
                $email   = $item['email'];
                $telefon = $item['telefon'];
            }
            $rezervace[$key]['datum']   = $this->datum2($item['datum']);
            $rezervace[$key]['jmeno']   = $jmeno;
            $rezervace[$key]['telefon'] = $telefon;
            $rezervace[$key]['email']   = $email;
            if($item['id_platba']!=0){
                $platba = \PlatbyModel::getInstance()->platba($item['id_platba']);
                $platba = $platba['value'].' Kč';
            }else{
                $platba = '';
            }
            $rezervace[$key]['platba'] = $platba;
            $cas = \CasyModel::getInstance()->cas($item['id_cas']);
            $rezervace[$key]['cas'] = $cas['nazev'];
            
            new \Forms\PotvrditForm($this, $item['id_rezervace'], $item['id_rezervace']);
        }
        $this->template->rezervace = $rezervace;
        
        
        $user = \UserModel::getInstance()->user($this->getPresenter()->getUser()->getId());
        
        // načteme POST
        $post = $this->getRequest()->getPost();
        
        // VYTVOŘENÍ REZERVACE
        if((isset($post['rezervace']))AND($post['rezervace']=='Rezervovat')) {
            if((isset($post['rezervovane']))AND($post['rezervovane']!='')) {
                // definice proměnných
                $casy = $post['rezervovane'];
                $casy = explode(';', $casy);
                $jmeno      = '';
                $email      = '';
                $telefon    = '';
                $id_user    = 0;
                $id_spravce = 0;
                $error      = 0;
                $rezervace_text = '';
                
                if(($this->getPresenter()->getUser()->isInRole('spravce'))OR($this->getPresenter()->getUser()->isInRole('admin'))){
                // administrátor a správce
                    if((isset($post['jmeno']))AND($post['jmeno']!='')){ // musí bý zadáno jméno
                        $jmeno      = $post['jmeno'];
                        $email      = $post['email'];
                        $telefon    = $post['telefon'];
                        $id_spravce = $user['id_user'];
                    }else{
                        $error++;
                        $this->flashMessage('Musít být zadáno jméno. Zkuste to znovu', 'error');
                    }
                }else{
                // uživatel  
                    $id_user = $user['id_user'];
                    $email   = $user['email'];
                }
                if($error==0){
                foreach($casy as $cas) {
                    $termin = explode(':',$cas);
                    $zdroj = array(
                        'id_cas'          => $termin[0],
                        'id_sportoviste'  => $id_sportoviste,
                        'id_user'         => $id_user,
                        'id_spravce'      => $id_spravce,
                        'datum'           => $termin[1],
                        'datum_rezervace' => new \DateTime,
                        'jmeno'           => $jmeno,
                        'email'           => $email,
                        'telefon'         => $telefon
                    );
                    
                    // UŽIVATEL - otestujeme množství rezervací na den a zda nerezervuje mimo povolený termín
                    if($id_user!=0) {
                        
                        // test - uživatel může mít maximálně jednu rezervaci denně
                        $test = \RezervaceModel::db()->query('SELECT id_rezervace FROM rezervace WHERE id_sportoviste = ? AND id_user = ? AND datum = ?',$id_sportoviste,$id_user,$termin[1])->fetchAll();
                        if(count($test)<$sportoviste['hodiny']){
                            
                            // test - omezení na maximálně x dnů ode dneška
                            $omezeni_dnu = ($nastaveni['rezervace_dny']*86400);
                            $timestamp   = time();
                            if(strtotime($termin[1])<=($omezeni_dnu+time())) {
                                \RezervaceModel::getInstance()->rezervaceAdd($zdroj);
                            }else{
                                $error++;
                                $this->flashMessage('Můžete rezervovat termíny maximálně '.$nastaveni['rezervace_dny'].' dnů dopředu','error');
                            }
                            
                        }else{
                            $error++;
                            $this->flashMessage('Maximální denní počet rezervací na uživatele je '.$sportoviste['hodiny'],'error');
                        }
                        
                    }else{
                        \RezervaceModel::getInstance()->rezervaceAdd($zdroj);
                    }
                    // připravíme text pro e-mail
                    if($this->getPresenter()->getUser()->isInRole('user')) {
                        $sportoviste = \SportovisteModel::getInstance()->sportoviste($id_sportoviste);
                        $cas         = \CasyModel::getInstance()->cas($termin[0]);
                        
                        $rezervace_text .= '<tr><td>'.$sportoviste['nazev'].'</td><td>'.Date("d.m.Y",strtotime($termin[1])).'</td><td>'.$cas['nazev'].'</td></tr>';
                    }
                    
                }
                if($error==0){
                // uživateli pošleme informační e-mail s info o rezervaci
                    if($this->getPresenter()->getUser()->isInRole('user')) {
                        $nastaveni = \NastaveniModel::getInstance()->selectAll();
                        $text_emailu = "<h2>Souhrn rezervace</h2>
                            <table>
                            <tr><th>Sportoviště</th><th>Datum</th><th>Čas</th></tr>
                            ".$rezervace_text."
                            </table>".$nastaveni['email_rezervace'];
                        
                    $mail = new Message;
                    $mail->setFrom($nastaveni['nazev'].' <'.$nastaveni['email'].'>')
                    ->addTo($email)
                    ->setSubject('Potvrzení rezervace - '.$nastaveni['nazev'])
                    ->setHTMLBody($text_emailu)
                    ->send();
                    }
                    
                $this->flashMessage('Rezervace byla úspěšně vytvořena','success');
                }
                }
                
            }else{
                $this->flashMessage('Nebyl vybrán žádný termín rezervace','error');
            }
        }
        
        // ODSTRANĚNÍ REZERVACE
        if((isset($post['odstranit']))AND($post['odstranit']=='Odstranit označené')) {
            if(isset($post['casy'])) {
                foreach($post['casy'] as $id_rezervace) {
                    $rezervace = \RezervaceModel::getInstance()->rezervace($id_rezervace);
                    $cas       = \CasyModel::getInstance()->cas($rezervace['id_cas']);
                    $cas       = \explode('-', $cas['nazev']);
                    $cas0      = time();
                    $cas1      = strtotime(Date("Y-m-d",strtotime($rezervace['datum']))." ".$cas[0]);
                    $vysledek  = $cas0-$cas1;
                    if($vysledek<0){
                        \RezervaceModel::getInstance()->rezervaceDel($id_rezervace);
                    }
                }
                $this->flashMessage('Rezervace byly úspěšně odstraněny','success');
                $this->redirect('this');
            }else{
                $this->flashMessage('Nebyly vybrány žádné rezervace k odstranění','error');
            }
        }
        
        // detail sportoviště do šablony
        $this->template->sportoviste = $sportoviste;
        
        // menu pro rychlý výběr sportoviště do šablony
        $this->template->sportoviste_menu = \SportovisteModel::getInstance()->selectAll();
        
        // zobrazí user menu
        $this->template->user_menu = 1;
    }
    
    // odstraní samostatnou rezervaci
    public function handleRezervaceDel($id_rezervace=null) {
        // kontrola, jestli uživatel může rezervaci odstranit
        $error = 0;
        if($this->getUser()->isInRole('user')){
            $test = \RezervaceModel::db()->query('SELECT * FROM rezervace WHERE id_rezervace = ? AND id_user = ?',$id_rezervace,$this->getUser()->getId())->fetchAll();
            if(count($test)!=1){
                $error++;
            }
        }
        if($error==0){
            // test zda termín už neproběhl
            $rezervace = \RezervaceModel::getInstance()->rezervace($id_rezervace);
            $cas       = \CasyModel::getInstance()->cas($rezervace['id_cas']);
            $cas       = \explode('-', $cas['nazev']);
            $cas0      = time();
            $cas1      = strtotime(Date("Y-m-d",strtotime($rezervace['datum']))." ".$cas[0]);
            $vysledek  = $cas0-$cas1;
            if($vysledek>7200){
                $this->flashMessage('Nemůžete odstranit rezervace, které již proběhly','error');
            }else{
                \RezervaceModel::getInstance()->rezervaceDel($id_rezervace);
                $this->flashMessage('Rezervace byla úspěšně odstraněna ','success');
            }
        }else{
            $this->flashMessage('Nemůžete odstranit cizí rezervaci','error');
        }
        $this->redirect('this');
    }
    
    // vyopíše rezervace (= rezervace, které si uživatel rezervoval)
    public function actionMojeRezervace() {
        $id_user    = null;
        $id_spravce = null;
        if(($this->getUser()->isInRole('admin'))OR($this->getUser()->isInRole('spravce'))){
            $id_spravce = $this->getUser()->getId();
        }else{
            $id_user = $this->getUser()->getId();
        }
        
        $vp = new \VisualPaginator($this,'vp');
            $paginator = $vp->getPaginator();
            $paginator->itemsPerPage = 20;
            $datum = date('Y-m-d H:i');
            $paginator->itemCount = count(\RezervaceModel::getInstance()->selectAllMojeRezervace(null,null,$datum,null,$id_user,$id_spravce));
            $rezervace_aktivni = \RezervaceModel::getInstance()->selectAllMojeRezervace($paginator->offset,$paginator->itemsPerPage,$datum,null,$id_user,$id_spravce);
        foreach ($rezervace_aktivni as $key => $item) {
            $sportoviste = \SportovisteModel::getInstance()->sportoviste($item['id_sportoviste']);
            $areal       = \ArealyModel::getInstance()->areal($sportoviste['id_areal']);
            $cas         = \CasyModel::getInstance()->cas($item['id_cas']);
            $rezervace_aktivni[$key]['sportoviste'] = $sportoviste;
            $rezervace_aktivni[$key]['areal']       = $areal;
            $rezervace_aktivni[$key]['cas']         = $cas['nazev'];
            $rezervace_aktivni[$key]['datum']       = $this->datum2($item['datum']);
        }
        $this->template->rezervace_aktivni = $rezervace_aktivni;
        
        // zobrazí user menu
        $this->template->user_menu = 1;
    }
    
    // vypíše rezervace všech sportovišť k dnešnímu dni
    public function actionSportovisteAll($tyden=null,$rok=null,$den=null) {
        if($tyden==null){
            $tyden = Date('W');
        }
        if($rok==null){
            $rok = Date('Y');
        }
        
        $this->template->rok  = stripslashes($rok);
        $this->template->tyden = stripslashes($tyden);
        
        // zobrazí user menu
        $this->template->user_menu = 1;
        
        // menu pro rychlý výběr sportoviště do šablony
        $this->template->sportoviste_menu = \SportovisteModel::getInstance()->selectAll();
        
        // načteme POST
        $post = $this->getRequest()->getPost();
        
        // VYTVOŘENÍ REZERVACE
        if((isset($post['rezervace']))AND($post['rezervace']=='Rezervovat')) {
            if((isset($post['rezervovane']))AND($post['rezervovane']!='')) {
                // definice proměnných
                $casy = $post['rezervovane'];
                $casy = explode(';', $casy);
                $jmeno      = '';
                $email      = '';
                $telefon    = '';
                $id_user    = 0;
                $id_spravce = 0;
                $error      = 0;
                $rezervace_text = '';
                
                if(($this->getPresenter()->getUser()->isInRole('spravce'))OR($this->getPresenter()->getUser()->isInRole('admin'))){
                // administrátor a správce
                    if((isset($post['jmeno']))AND($post['jmeno']!='')){ // musí bý zadáno jméno
                        $jmeno      = $post['jmeno'];
                        $email      = $post['email'];
                        $telefon    = $post['telefon'];
                        $id_spravce = $this->getUser()->getId();
                    }else{
                        $error++;
                        $this->flashMessage('Musít být zadáno jméno. Zkuste to znovu', 'error');
                    }
                }
                if($error==0){
                foreach($casy as $cas) {
                    $termin = explode(':',$cas);
                    $termin2 = explode('+', $termin[0]);
                    $zdroj = array(
                        'id_cas'          => $termin2[1],
                        'id_sportoviste'  => $termin2[0],
                        'id_user'         => $id_user,
                        'id_spravce'      => $id_spravce,
                        'datum'           => $termin[1],
                        'datum_rezervace' => new \DateTime,
                        'jmeno'           => $jmeno,
                        'email'           => $email,
                        'telefon'         => $telefon
                    );
                        \RezervaceModel::getInstance()->rezervaceAdd($zdroj);
                        
                    
                }
                }
                
            }else{
                $this->flashMessage('Nebyl vybrán žádný termín rezervace','error');
            }
        }
        
        
    }
    
   // zobrazí info o uživateli (pouze pro admina)
    public function  actionUser($id_user = null) {
        if((isset($id_user))AND$this->getUser()->isInRole('admin')) {
            $vp        = new \VisualPaginator($this,'vp');
            $paginator = $vp->getPaginator();
            $paginator->itemsPerPage = 20;
            $datum = date('Y-m-d H:i');
            $paginator->itemCount = count(\RezervaceModel::getInstance()->selectAll(null,null,null,null,null,$id_user));
            $rezervace = \RezervaceModel::getInstance()->selectAll($paginator->offset,$paginator->itemsPerPage,null,null,null,$id_user);
            foreach($rezervace as $key => $item) {
                $sportoviste = \SportovisteModel::getInstance()->sportoviste($item['id_sportoviste']);
                $areal       = \ArealyModel::getInstance()->areal($sportoviste['id_areal']);
                $cas         = \CasyModel::getInstance()->cas($item['id_cas']);
                $rezervace[$key]['sportoviste'] = $sportoviste['nazev'];
                $rezervace[$key]['areal']       = $areal['nazev'];
                $rezervace[$key]['cas']         = $cas['nazev'];
            }
            
            $user = \UserModel::getInstance()->user($id_user);
            
            $this->template->user      = $user;
            $this->template->rezervace = $rezervace;
            $this->template->rezervace_nevyzvednute = count($rezervace = \RezervaceModel::getInstance()->selectAll($paginator->offset,$paginator->itemsPerPage,null,null,null,$id_user,0));
            
            
        }else{
            $this->flashMessage('Nemáte právo pro přístup do této sekce','error');
            $this->redirect('Default:homepage');
        }
    }
    
    // storno rezervace
    public function handleStorno($id_rezervace) {
        \PlatbyModel::getInstance()->storno($id_rezervace,$this->getUser()->getId());
        $this->flashMessage('Záznam o prodeji byl úspěšně odstraněn', 'success');
        $this->redirect('this');
    }
    
}

