<?php

use Nette\Application\Routers\RouteList,
	Nette\Application\Routers\Route,
	Nette\Application\Routers\SimpleRouter;
use Nette\Utils\Strings;


/**
 * Router factory.
 */
class RouterFactory
{

	/**
	 * @return Nette\Application\IRouter
	 */
	public function createRouter()
	{
		$router = new RouteList();
		$router[] = new Route('index.php', 'Default:homepage', Route::ONE_WAY);
                
                $router[] = new Route('admin/<presenter>/<action>/<id>', array(
                                    'module' => 'Admin',
                                    'presenter' => 'Login',
                                    'action' => 'Default',
                                    'id' => null
                                ));
                
                $router[] = new Route('<id_areal>/sportoviste/<id_sportoviste>/<rok>/<tyden>/<den>', array(
                                    'presenter' => 'Areal',
                                    'action' => 'Sportoviste',
                                    'id_novinka'  => array(
                                        Route::FILTER_IN  => function($id_novinka) {
                                            $test = \ArealyModel::db()->query('SELECT id_article FROM articles WHERE url = ?',$id_novinka)->fetch();
                                            return $test['id_article'];
                                        },
                                        Route::FILTER_OUT => function($id_novinka) {
                                            $test = \ArealyModel::db()->query('SELECT url FROM articles WHERE id_article = ?',$id_novinka)->fetch();
                                            return $test['url'];
                                        }
                                    ),
                                    'id_areal'  => array(
                                        Route::FILTER_IN  => function($id_areal) {
                                            $test = \ArealyModel::db()->query('SELECT id_areal FROM arealy WHERE url = ?',$id_areal)->fetch();
                                            return $test['id_areal'];
                                        },
                                        Route::FILTER_OUT => function($id_areal) {
                                            $test = \ArealyModel::db()->query('SELECT url FROM arealy WHERE id_areal = ?',$id_areal)->fetch();
                                            return $test['url'];
                                        }
                                     ),
                                    'id_sportoviste' => NULL,
                                    'rok' => NULL,
                                    'tyden' => NULL,
                                    'den' => NULL
                                ));
                
                $router[] = new Route('<id_areal>/<id_page>/', array(
                                    'presenter' => 'Areal',
                                    'action' => 'Page',
                                    'id_page' => array(
                                        Route::FILTER_IN  => function($id_page) {
                                            $test = \ArealyModel::db()->query('SELECT id_page FROM pages WHERE url = ?',$id_page)->fetch();
                                            return $test['id_page'];
                                        },
                                        Route::FILTER_OUT => function($id_page) {
                                            $test = \ArealyModel::db()->query('SELECT url FROM pages WHERE id_page = ?',$id_page)->fetch();
                                            return $test['url'];
                                        }),
                                    'id_areal'  => array(
                                        Route::FILTER_IN  => function($id_areal) {
                                            $test = \ArealyModel::db()->query('SELECT id_areal FROM arealy WHERE url = ?',$id_areal)->fetch();
                                            return $test['id_areal'];
                                        },
                                        Route::FILTER_OUT => function($id_areal) {
                                            $test = \ArealyModel::db()->query('SELECT url FROM arealy WHERE id_areal = ?',$id_areal)->fetch();
                                            return $test['url'];
                                        }
                                    )
                                ));      
                
                $router[] = new Route('<id_areal>/<action>/<id>', array(
                                    'presenter' => 'Areal',
                                    'action' => 'Areal',
                                    'id' => null,
                                    'id_areal'  => array(
                                        Route::FILTER_IN  => function($id_areal) {
                                            $test = \ArealyModel::db()->query('SELECT id_areal FROM arealy WHERE url = ?',$id_areal)->fetch();
                                            return $test['id_areal'];
                                        },
                                        Route::FILTER_OUT => function($id_areal) {
                                            $test = \ArealyModel::db()->query('SELECT url FROM arealy WHERE id_areal = ?',$id_areal)->fetch();
                                            return $test['url'];
                                        }
                                    )
                                ));
                                                  
                
                                    
                $router[] = new Route('udalost/<id_event>', array(
                                    'presenter' => 'Default',
                                    'action' => 'event',
                                    'id_event' => null
                                ));
                
                $router[] = new Route('kalendar/<rok>/<mesic>/<den>', array(
                                'presenter' => 'Default',
                                'action' => 'kalendar',
                                'rok' => NULL,
                                'mesic' => NULL,
                                'den' => NULL
                            ));
                
                $router[] = new Route('sportoviste2/<id_sportoviste>/<rok>/<tyden>/<den>', array(
                                'presenter' => 'Default',
                                'action' => 'sportoviste2',
                                'id_sportoviste' => NULL,
                                'rok' => NULL,
                                'tyden' => NULL,
                                'den' => NULL
                            ));
                
                $router[] = new Route('sportovisteAll/<rok>/<tyden>/<den>', array(
                                'presenter' => 'Default',
                                'action' => 'sportovisteAll',
                                'rok' => NULL,
                                'tyden' => NULL,
                                'den'   => NULL
                            ));

                $router[] = new Route('<presenter>/<action>/<id>', array(
                                    'presenter' => 'Default',
                                    'action' => 'homepage',
                                    'id' => NULL
                                ));
		return $router;
	}

}
